# swagger_client

SwaggerClient - the Ruby gem for the Mautic API docs

Auto-generated Swagger documentation.

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 3.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build swagger_client.gemspec
gem build swagger_client.gemspec
gem push mautic_swagger_client-1.0.x.gem
```

Then either install the gem locally:

```shell
gem install ./swagger_client-1.0.0.gem
```
(for development, run `gem install --dev ./swagger_client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'swagger_client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/YOUR_GIT_USERNAME/YOUR_GIT_REPO, then add the following in the Gemfile:

    gem 'swagger_client', :git => 'https://github.com/YOUR_GIT_USERNAME/YOUR_GIT_REPO.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'swagger_client'

# Setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_assets_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_batch_delete_delete: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://https://atoc.detie.cn/index_dev.php*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SwaggerClient::DefaultApi* | [**api_assets_batch_delete_delete**](docs/DefaultApi.md#api_assets_batch_delete_delete) | **DELETE** /api/assets/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_assets_batch_edit_patch**](docs/DefaultApi.md#api_assets_batch_edit_patch) | **PATCH** /api/assets/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_assets_batch_edit_put**](docs/DefaultApi.md#api_assets_batch_edit_put) | **PUT** /api/assets/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_assets_batch_new_post**](docs/DefaultApi.md#api_assets_batch_new_post) | **POST** /api/assets/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_assets_get**](docs/DefaultApi.md#api_assets_get) | **GET** /api/assets | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_assets_id_delete_delete**](docs/DefaultApi.md#api_assets_id_delete_delete) | **DELETE** /api/assets/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_assets_id_edit_patch**](docs/DefaultApi.md#api_assets_id_edit_patch) | **PATCH** /api/assets/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_assets_id_edit_put**](docs/DefaultApi.md#api_assets_id_edit_put) | **PUT** /api/assets/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_assets_id_get**](docs/DefaultApi.md#api_assets_id_get) | **GET** /api/assets/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_assets_new_post**](docs/DefaultApi.md#api_assets_new_post) | **POST** /api/assets/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_campaigns_batch_delete_delete**](docs/DefaultApi.md#api_campaigns_batch_delete_delete) | **DELETE** /api/campaigns/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_campaigns_batch_edit_patch**](docs/DefaultApi.md#api_campaigns_batch_edit_patch) | **PATCH** /api/campaigns/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_campaigns_batch_edit_put**](docs/DefaultApi.md#api_campaigns_batch_edit_put) | **PUT** /api/campaigns/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_campaigns_batch_new_post**](docs/DefaultApi.md#api_campaigns_batch_new_post) | **POST** /api/campaigns/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_campaigns_campaign_id_events_contact_contact_id_get**](docs/DefaultApi.md#api_campaigns_campaign_id_events_contact_contact_id_get) | **GET** /api/campaigns/{campaignId}/events/contact/{contactId} | Get a list of events.
*SwaggerClient::DefaultApi* | [**api_campaigns_clone_campaign_id_post**](docs/DefaultApi.md#api_campaigns_clone_campaign_id_post) | **POST** /api/campaigns/clone/{campaignId} | 
*SwaggerClient::DefaultApi* | [**api_campaigns_events_batch_edit_put**](docs/DefaultApi.md#api_campaigns_events_batch_edit_put) | **PUT** /api/campaigns/events/batch/edit | 
*SwaggerClient::DefaultApi* | [**api_campaigns_events_contact_contact_id_get**](docs/DefaultApi.md#api_campaigns_events_contact_contact_id_get) | **GET** /api/campaigns/events/contact/{contactId} | Get a list of events.
*SwaggerClient::DefaultApi* | [**api_campaigns_events_event_id_contact_contact_id_edit_put**](docs/DefaultApi.md#api_campaigns_events_event_id_contact_contact_id_edit_put) | **PUT** /api/campaigns/events/{eventId}/contact/{contactId}/edit | 
*SwaggerClient::DefaultApi* | [**api_campaigns_events_get**](docs/DefaultApi.md#api_campaigns_events_get) | **GET** /api/campaigns/events | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_campaigns_events_id_get**](docs/DefaultApi.md#api_campaigns_events_id_get) | **GET** /api/campaigns/events/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_campaigns_get**](docs/DefaultApi.md#api_campaigns_get) | **GET** /api/campaigns | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_campaigns_id_contact_lead_id_add_post**](docs/DefaultApi.md#api_campaigns_id_contact_lead_id_add_post) | **POST** /api/campaigns/{id}/contact/{leadId}/add | Adds a lead to a campaign.
*SwaggerClient::DefaultApi* | [**api_campaigns_id_contact_lead_id_remove_post**](docs/DefaultApi.md#api_campaigns_id_contact_lead_id_remove_post) | **POST** /api/campaigns/{id}/contact/{leadId}/remove | Removes given lead from a campaign.
*SwaggerClient::DefaultApi* | [**api_campaigns_id_contacts_get**](docs/DefaultApi.md#api_campaigns_id_contacts_get) | **GET** /api/campaigns/{id}/contacts | Obtains a list of campaign contacts.
*SwaggerClient::DefaultApi* | [**api_campaigns_id_delete_delete**](docs/DefaultApi.md#api_campaigns_id_delete_delete) | **DELETE** /api/campaigns/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_campaigns_id_edit_patch**](docs/DefaultApi.md#api_campaigns_id_edit_patch) | **PATCH** /api/campaigns/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_campaigns_id_edit_put**](docs/DefaultApi.md#api_campaigns_id_edit_put) | **PUT** /api/campaigns/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_campaigns_id_get**](docs/DefaultApi.md#api_campaigns_id_get) | **GET** /api/campaigns/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_campaigns_new_post**](docs/DefaultApi.md#api_campaigns_new_post) | **POST** /api/campaigns/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_categories_batch_delete_delete**](docs/DefaultApi.md#api_categories_batch_delete_delete) | **DELETE** /api/categories/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_categories_batch_edit_patch**](docs/DefaultApi.md#api_categories_batch_edit_patch) | **PATCH** /api/categories/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_categories_batch_edit_put**](docs/DefaultApi.md#api_categories_batch_edit_put) | **PUT** /api/categories/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_categories_batch_new_post**](docs/DefaultApi.md#api_categories_batch_new_post) | **POST** /api/categories/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_categories_get**](docs/DefaultApi.md#api_categories_get) | **GET** /api/categories | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_categories_id_delete_delete**](docs/DefaultApi.md#api_categories_id_delete_delete) | **DELETE** /api/categories/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_categories_id_edit_patch**](docs/DefaultApi.md#api_categories_id_edit_patch) | **PATCH** /api/categories/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_categories_id_edit_put**](docs/DefaultApi.md#api_categories_id_edit_put) | **PUT** /api/categories/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_categories_id_get**](docs/DefaultApi.md#api_categories_id_get) | **GET** /api/categories/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_categories_new_post**](docs/DefaultApi.md#api_categories_new_post) | **POST** /api/categories/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_companies_batch_delete_delete**](docs/DefaultApi.md#api_companies_batch_delete_delete) | **DELETE** /api/companies/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_companies_batch_edit_patch**](docs/DefaultApi.md#api_companies_batch_edit_patch) | **PATCH** /api/companies/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_companies_batch_edit_put**](docs/DefaultApi.md#api_companies_batch_edit_put) | **PUT** /api/companies/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_companies_batch_new_post**](docs/DefaultApi.md#api_companies_batch_new_post) | **POST** /api/companies/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_companies_company_id_contact_contact_id_add_post**](docs/DefaultApi.md#api_companies_company_id_contact_contact_id_add_post) | **POST** /api/companies/{companyId}/contact/{contactId}/add | Adds a contact to a company.
*SwaggerClient::DefaultApi* | [**api_companies_company_id_contact_contact_id_remove_post**](docs/DefaultApi.md#api_companies_company_id_contact_contact_id_remove_post) | **POST** /api/companies/{companyId}/contact/{contactId}/remove | Removes given contact from a company.
*SwaggerClient::DefaultApi* | [**api_companies_get**](docs/DefaultApi.md#api_companies_get) | **GET** /api/companies | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_companies_id_delete_delete**](docs/DefaultApi.md#api_companies_id_delete_delete) | **DELETE** /api/companies/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_companies_id_edit_patch**](docs/DefaultApi.md#api_companies_id_edit_patch) | **PATCH** /api/companies/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_companies_id_edit_put**](docs/DefaultApi.md#api_companies_id_edit_put) | **PUT** /api/companies/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_companies_id_get**](docs/DefaultApi.md#api_companies_id_get) | **GET** /api/companies/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_companies_new_post**](docs/DefaultApi.md#api_companies_new_post) | **POST** /api/companies/new | If an existing company is matched, it'll be merged. Otherwise it'll be created.
*SwaggerClient::DefaultApi* | [**api_contacts_activity_get**](docs/DefaultApi.md#api_contacts_activity_get) | **GET** /api/contacts/activity | Obtains a list of contact events.
*SwaggerClient::DefaultApi* | [**api_contacts_batch_delete_delete**](docs/DefaultApi.md#api_contacts_batch_delete_delete) | **DELETE** /api/contacts/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_contacts_batch_edit_patch**](docs/DefaultApi.md#api_contacts_batch_edit_patch) | **PATCH** /api/contacts/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_contacts_batch_edit_put**](docs/DefaultApi.md#api_contacts_batch_edit_put) | **PUT** /api/contacts/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_contacts_batch_new_post**](docs/DefaultApi.md#api_contacts_batch_new_post) | **POST** /api/contacts/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_contacts_get**](docs/DefaultApi.md#api_contacts_get) | **GET** /api/contacts | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_contacts_id_activity_get**](docs/DefaultApi.md#api_contacts_id_activity_get) | **GET** /api/contacts/{id}/activity | Obtains a list of contact events.
*SwaggerClient::DefaultApi* | [**api_contacts_id_campaigns_get**](docs/DefaultApi.md#api_contacts_id_campaigns_get) | **GET** /api/contacts/{id}/campaigns | Obtains a list of campaigns the lead is part of.
*SwaggerClient::DefaultApi* | [**api_contacts_id_companies_get**](docs/DefaultApi.md#api_contacts_id_companies_get) | **GET** /api/contacts/{id}/companies | Obtains a list of contact companies the contact is in.
*SwaggerClient::DefaultApi* | [**api_contacts_id_delete_delete**](docs/DefaultApi.md#api_contacts_id_delete_delete) | **DELETE** /api/contacts/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_contacts_id_devices_get**](docs/DefaultApi.md#api_contacts_id_devices_get) | **GET** /api/contacts/{id}/devices | Obtains a list of devices on a specific lead.
*SwaggerClient::DefaultApi* | [**api_contacts_id_dnc_channel_add_post**](docs/DefaultApi.md#api_contacts_id_dnc_channel_add_post) | **POST** /api/contacts/{id}/dnc/{channel}/add | Adds a DNC to the contact.
*SwaggerClient::DefaultApi* | [**api_contacts_id_dnc_channel_remove_post**](docs/DefaultApi.md#api_contacts_id_dnc_channel_remove_post) | **POST** /api/contacts/{id}/dnc/{channel}/remove | Removes a DNC from the contact.
*SwaggerClient::DefaultApi* | [**api_contacts_id_edit_patch**](docs/DefaultApi.md#api_contacts_id_edit_patch) | **PATCH** /api/contacts/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_contacts_id_edit_put**](docs/DefaultApi.md#api_contacts_id_edit_put) | **PUT** /api/contacts/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_contacts_id_get**](docs/DefaultApi.md#api_contacts_id_get) | **GET** /api/contacts/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_contacts_id_notes_get**](docs/DefaultApi.md#api_contacts_id_notes_get) | **GET** /api/contacts/{id}/notes | Obtains a list of notes on a specific lead.
*SwaggerClient::DefaultApi* | [**api_contacts_id_segments_get**](docs/DefaultApi.md#api_contacts_id_segments_get) | **GET** /api/contacts/{id}/segments | Obtains a list of contact segments the contact is in.
*SwaggerClient::DefaultApi* | [**api_contacts_id_utm_add_post**](docs/DefaultApi.md#api_contacts_id_utm_add_post) | **POST** /api/contacts/{id}/utm/add | Adds a UTM Tagset to the contact.
*SwaggerClient::DefaultApi* | [**api_contacts_id_utm_utmid_remove_post**](docs/DefaultApi.md#api_contacts_id_utm_utmid_remove_post) | **POST** /api/contacts/{id}/utm/{utmid}/remove | Remove a UTM Tagset for the contact.
*SwaggerClient::DefaultApi* | [**api_contacts_lead_id_points_operator_delta_post**](docs/DefaultApi.md#api_contacts_lead_id_points_operator_delta_post) | **POST** /api/contacts/{leadId}/points/{operator}/{delta} | Subtract points from a lead.
*SwaggerClient::DefaultApi* | [**api_contacts_list_fields_get**](docs/DefaultApi.md#api_contacts_list_fields_get) | **GET** /api/contacts/list/fields | Obtains a list of custom fields.
*SwaggerClient::DefaultApi* | [**api_contacts_list_owners_get**](docs/DefaultApi.md#api_contacts_list_owners_get) | **GET** /api/contacts/list/owners | Obtains a list of users for lead owner edits.
*SwaggerClient::DefaultApi* | [**api_contacts_list_segments_get**](docs/DefaultApi.md#api_contacts_list_segments_get) | **GET** /api/contacts/list/segments | Obtains a list of smart lists for the user.
*SwaggerClient::DefaultApi* | [**api_contacts_new_post**](docs/DefaultApi.md#api_contacts_new_post) | **POST** /api/contacts/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_data_get**](docs/DefaultApi.md#api_data_get) | **GET** /api/data | Obtains a list of available widget types.
*SwaggerClient::DefaultApi* | [**api_data_type_get**](docs/DefaultApi.md#api_data_type_get) | **GET** /api/data/{type} | Obtains a list of available widget types.
*SwaggerClient::DefaultApi* | [**api_devices_batch_delete_delete**](docs/DefaultApi.md#api_devices_batch_delete_delete) | **DELETE** /api/devices/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_devices_batch_edit_patch**](docs/DefaultApi.md#api_devices_batch_edit_patch) | **PATCH** /api/devices/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_devices_batch_edit_put**](docs/DefaultApi.md#api_devices_batch_edit_put) | **PUT** /api/devices/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_devices_batch_new_post**](docs/DefaultApi.md#api_devices_batch_new_post) | **POST** /api/devices/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_devices_get**](docs/DefaultApi.md#api_devices_get) | **GET** /api/devices | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_devices_id_delete_delete**](docs/DefaultApi.md#api_devices_id_delete_delete) | **DELETE** /api/devices/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_devices_id_edit_patch**](docs/DefaultApi.md#api_devices_id_edit_patch) | **PATCH** /api/devices/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_devices_id_edit_put**](docs/DefaultApi.md#api_devices_id_edit_put) | **PUT** /api/devices/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_devices_id_get**](docs/DefaultApi.md#api_devices_id_get) | **GET** /api/devices/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_devices_new_post**](docs/DefaultApi.md#api_devices_new_post) | **POST** /api/devices/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_batch_delete_delete**](docs/DefaultApi.md#api_dynamiccontents_batch_delete_delete) | **DELETE** /api/dynamiccontents/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_batch_edit_patch**](docs/DefaultApi.md#api_dynamiccontents_batch_edit_patch) | **PATCH** /api/dynamiccontents/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_batch_edit_put**](docs/DefaultApi.md#api_dynamiccontents_batch_edit_put) | **PUT** /api/dynamiccontents/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_batch_new_post**](docs/DefaultApi.md#api_dynamiccontents_batch_new_post) | **POST** /api/dynamiccontents/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_get**](docs/DefaultApi.md#api_dynamiccontents_get) | **GET** /api/dynamiccontents | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_id_delete_delete**](docs/DefaultApi.md#api_dynamiccontents_id_delete_delete) | **DELETE** /api/dynamiccontents/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_id_edit_patch**](docs/DefaultApi.md#api_dynamiccontents_id_edit_patch) | **PATCH** /api/dynamiccontents/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_id_edit_put**](docs/DefaultApi.md#api_dynamiccontents_id_edit_put) | **PUT** /api/dynamiccontents/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_id_get**](docs/DefaultApi.md#api_dynamiccontents_id_get) | **GET** /api/dynamiccontents/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_dynamiccontents_new_post**](docs/DefaultApi.md#api_dynamiccontents_new_post) | **POST** /api/dynamiccontents/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_emails_batch_delete_delete**](docs/DefaultApi.md#api_emails_batch_delete_delete) | **DELETE** /api/emails/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_emails_batch_edit_patch**](docs/DefaultApi.md#api_emails_batch_edit_patch) | **PATCH** /api/emails/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_emails_batch_edit_put**](docs/DefaultApi.md#api_emails_batch_edit_put) | **PUT** /api/emails/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_emails_batch_new_post**](docs/DefaultApi.md#api_emails_batch_new_post) | **POST** /api/emails/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_emails_get**](docs/DefaultApi.md#api_emails_get) | **GET** /api/emails | Obtains a list of emails.
*SwaggerClient::DefaultApi* | [**api_emails_id_contact_lead_id_send_post**](docs/DefaultApi.md#api_emails_id_contact_lead_id_send_post) | **POST** /api/emails/{id}/contact/{leadId}/send | Sends the email to a specific lead.
*SwaggerClient::DefaultApi* | [**api_emails_id_delete_delete**](docs/DefaultApi.md#api_emails_id_delete_delete) | **DELETE** /api/emails/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_emails_id_edit_patch**](docs/DefaultApi.md#api_emails_id_edit_patch) | **PATCH** /api/emails/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_emails_id_edit_put**](docs/DefaultApi.md#api_emails_id_edit_put) | **PUT** /api/emails/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_emails_id_get**](docs/DefaultApi.md#api_emails_id_get) | **GET** /api/emails/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_emails_id_send_post**](docs/DefaultApi.md#api_emails_id_send_post) | **POST** /api/emails/{id}/send | Sends the email to it's assigned lists.
*SwaggerClient::DefaultApi* | [**api_emails_new_post**](docs/DefaultApi.md#api_emails_new_post) | **POST** /api/emails/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_fields_object_batch_delete_delete**](docs/DefaultApi.md#api_fields_object_batch_delete_delete) | **DELETE** /api/fields/{object}/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_fields_object_batch_edit_patch**](docs/DefaultApi.md#api_fields_object_batch_edit_patch) | **PATCH** /api/fields/{object}/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_fields_object_batch_edit_put**](docs/DefaultApi.md#api_fields_object_batch_edit_put) | **PUT** /api/fields/{object}/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_fields_object_batch_new_post**](docs/DefaultApi.md#api_fields_object_batch_new_post) | **POST** /api/fields/{object}/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_fields_object_get**](docs/DefaultApi.md#api_fields_object_get) | **GET** /api/fields/{object} | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_fields_object_id_delete_delete**](docs/DefaultApi.md#api_fields_object_id_delete_delete) | **DELETE** /api/fields/{object}/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_fields_object_id_edit_patch**](docs/DefaultApi.md#api_fields_object_id_edit_patch) | **PATCH** /api/fields/{object}/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_fields_object_id_edit_put**](docs/DefaultApi.md#api_fields_object_id_edit_put) | **PUT** /api/fields/{object}/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_fields_object_id_get**](docs/DefaultApi.md#api_fields_object_id_get) | **GET** /api/fields/{object}/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_fields_object_new_post**](docs/DefaultApi.md#api_fields_object_new_post) | **POST** /api/fields/{object}/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_files_dir_file_delete_delete**](docs/DefaultApi.md#api_files_dir_file_delete_delete) | **DELETE** /api/files/{dir}/{file}/delete | Delete a file from /media directory.
*SwaggerClient::DefaultApi* | [**api_files_dir_get**](docs/DefaultApi.md#api_files_dir_get) | **GET** /api/files/{dir} | List the files in /media directory.
*SwaggerClient::DefaultApi* | [**api_files_dir_new_post**](docs/DefaultApi.md#api_files_dir_new_post) | **POST** /api/files/{dir}/new | Uploads a file.
*SwaggerClient::DefaultApi* | [**api_focus_batch_delete_delete**](docs/DefaultApi.md#api_focus_batch_delete_delete) | **DELETE** /api/focus/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_focus_batch_edit_patch**](docs/DefaultApi.md#api_focus_batch_edit_patch) | **PATCH** /api/focus/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_focus_batch_edit_put**](docs/DefaultApi.md#api_focus_batch_edit_put) | **PUT** /api/focus/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_focus_batch_new_post**](docs/DefaultApi.md#api_focus_batch_new_post) | **POST** /api/focus/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_focus_get**](docs/DefaultApi.md#api_focus_get) | **GET** /api/focus | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_focus_id_delete_delete**](docs/DefaultApi.md#api_focus_id_delete_delete) | **DELETE** /api/focus/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_focus_id_edit_patch**](docs/DefaultApi.md#api_focus_id_edit_patch) | **PATCH** /api/focus/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_focus_id_edit_put**](docs/DefaultApi.md#api_focus_id_edit_put) | **PUT** /api/focus/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_focus_id_get**](docs/DefaultApi.md#api_focus_id_get) | **GET** /api/focus/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_focus_id_js_post**](docs/DefaultApi.md#api_focus_id_js_post) | **POST** /api/focus/{id}/js | 
*SwaggerClient::DefaultApi* | [**api_focus_new_post**](docs/DefaultApi.md#api_focus_new_post) | **POST** /api/focus/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_forms_batch_delete_delete**](docs/DefaultApi.md#api_forms_batch_delete_delete) | **DELETE** /api/forms/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_forms_batch_edit_patch**](docs/DefaultApi.md#api_forms_batch_edit_patch) | **PATCH** /api/forms/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_forms_batch_edit_put**](docs/DefaultApi.md#api_forms_batch_edit_put) | **PUT** /api/forms/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_forms_batch_new_post**](docs/DefaultApi.md#api_forms_batch_new_post) | **POST** /api/forms/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_forms_form_id_actions_delete_delete**](docs/DefaultApi.md#api_forms_form_id_actions_delete_delete) | **DELETE** /api/forms/{formId}/actions/delete | Delete fields from a form.
*SwaggerClient::DefaultApi* | [**api_forms_form_id_fields_delete_delete**](docs/DefaultApi.md#api_forms_form_id_fields_delete_delete) | **DELETE** /api/forms/{formId}/fields/delete | Delete fields from a form.
*SwaggerClient::DefaultApi* | [**api_forms_form_id_submissions_contact_contact_id_get**](docs/DefaultApi.md#api_forms_form_id_submissions_contact_contact_id_get) | **GET** /api/forms/{formId}/submissions/contact/{contactId} | Obtains a list of entities for specific form and contact.
*SwaggerClient::DefaultApi* | [**api_forms_form_id_submissions_get**](docs/DefaultApi.md#api_forms_form_id_submissions_get) | **GET** /api/forms/{formId}/submissions | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_forms_form_id_submissions_submission_id_get**](docs/DefaultApi.md#api_forms_form_id_submissions_submission_id_get) | **GET** /api/forms/{formId}/submissions/{submissionId} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_forms_get**](docs/DefaultApi.md#api_forms_get) | **GET** /api/forms | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_forms_id_delete_delete**](docs/DefaultApi.md#api_forms_id_delete_delete) | **DELETE** /api/forms/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_forms_id_edit_patch**](docs/DefaultApi.md#api_forms_id_edit_patch) | **PATCH** /api/forms/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_forms_id_edit_put**](docs/DefaultApi.md#api_forms_id_edit_put) | **PUT** /api/forms/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_forms_id_get**](docs/DefaultApi.md#api_forms_id_get) | **GET** /api/forms/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_forms_new_post**](docs/DefaultApi.md#api_forms_new_post) | **POST** /api/forms/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_hooks_batch_delete_delete**](docs/DefaultApi.md#api_hooks_batch_delete_delete) | **DELETE** /api/hooks/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_hooks_batch_edit_patch**](docs/DefaultApi.md#api_hooks_batch_edit_patch) | **PATCH** /api/hooks/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_hooks_batch_edit_put**](docs/DefaultApi.md#api_hooks_batch_edit_put) | **PUT** /api/hooks/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_hooks_batch_new_post**](docs/DefaultApi.md#api_hooks_batch_new_post) | **POST** /api/hooks/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_hooks_get**](docs/DefaultApi.md#api_hooks_get) | **GET** /api/hooks | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_hooks_id_delete_delete**](docs/DefaultApi.md#api_hooks_id_delete_delete) | **DELETE** /api/hooks/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_hooks_id_edit_patch**](docs/DefaultApi.md#api_hooks_id_edit_patch) | **PATCH** /api/hooks/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_hooks_id_edit_put**](docs/DefaultApi.md#api_hooks_id_edit_put) | **PUT** /api/hooks/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_hooks_id_get**](docs/DefaultApi.md#api_hooks_id_get) | **GET** /api/hooks/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_hooks_new_post**](docs/DefaultApi.md#api_hooks_new_post) | **POST** /api/hooks/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_hooks_triggers_get**](docs/DefaultApi.md#api_hooks_triggers_get) | **GET** /api/hooks/triggers | 
*SwaggerClient::DefaultApi* | [**api_messages_batch_delete_delete**](docs/DefaultApi.md#api_messages_batch_delete_delete) | **DELETE** /api/messages/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_messages_batch_edit_patch**](docs/DefaultApi.md#api_messages_batch_edit_patch) | **PATCH** /api/messages/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_messages_batch_edit_put**](docs/DefaultApi.md#api_messages_batch_edit_put) | **PUT** /api/messages/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_messages_batch_new_post**](docs/DefaultApi.md#api_messages_batch_new_post) | **POST** /api/messages/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_messages_get**](docs/DefaultApi.md#api_messages_get) | **GET** /api/messages | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_messages_id_delete_delete**](docs/DefaultApi.md#api_messages_id_delete_delete) | **DELETE** /api/messages/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_messages_id_edit_patch**](docs/DefaultApi.md#api_messages_id_edit_patch) | **PATCH** /api/messages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_messages_id_edit_put**](docs/DefaultApi.md#api_messages_id_edit_put) | **PUT** /api/messages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_messages_id_get**](docs/DefaultApi.md#api_messages_id_get) | **GET** /api/messages/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_messages_new_post**](docs/DefaultApi.md#api_messages_new_post) | **POST** /api/messages/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_notes_batch_delete_delete**](docs/DefaultApi.md#api_notes_batch_delete_delete) | **DELETE** /api/notes/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_notes_batch_edit_patch**](docs/DefaultApi.md#api_notes_batch_edit_patch) | **PATCH** /api/notes/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_notes_batch_edit_put**](docs/DefaultApi.md#api_notes_batch_edit_put) | **PUT** /api/notes/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_notes_batch_new_post**](docs/DefaultApi.md#api_notes_batch_new_post) | **POST** /api/notes/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_notes_get**](docs/DefaultApi.md#api_notes_get) | **GET** /api/notes | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_notes_id_delete_delete**](docs/DefaultApi.md#api_notes_id_delete_delete) | **DELETE** /api/notes/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_notes_id_edit_patch**](docs/DefaultApi.md#api_notes_id_edit_patch) | **PATCH** /api/notes/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_notes_id_edit_put**](docs/DefaultApi.md#api_notes_id_edit_put) | **PUT** /api/notes/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_notes_id_get**](docs/DefaultApi.md#api_notes_id_get) | **GET** /api/notes/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_notes_new_post**](docs/DefaultApi.md#api_notes_new_post) | **POST** /api/notes/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_notifications_batch_delete_delete**](docs/DefaultApi.md#api_notifications_batch_delete_delete) | **DELETE** /api/notifications/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_notifications_batch_edit_patch**](docs/DefaultApi.md#api_notifications_batch_edit_patch) | **PATCH** /api/notifications/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_notifications_batch_edit_put**](docs/DefaultApi.md#api_notifications_batch_edit_put) | **PUT** /api/notifications/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_notifications_batch_new_post**](docs/DefaultApi.md#api_notifications_batch_new_post) | **POST** /api/notifications/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_notifications_get**](docs/DefaultApi.md#api_notifications_get) | **GET** /api/notifications | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_notifications_id_delete_delete**](docs/DefaultApi.md#api_notifications_id_delete_delete) | **DELETE** /api/notifications/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_notifications_id_edit_patch**](docs/DefaultApi.md#api_notifications_id_edit_patch) | **PATCH** /api/notifications/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_notifications_id_edit_put**](docs/DefaultApi.md#api_notifications_id_edit_put) | **PUT** /api/notifications/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_notifications_id_get**](docs/DefaultApi.md#api_notifications_id_get) | **GET** /api/notifications/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_notifications_new_post**](docs/DefaultApi.md#api_notifications_new_post) | **POST** /api/notifications/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_pages_batch_delete_delete**](docs/DefaultApi.md#api_pages_batch_delete_delete) | **DELETE** /api/pages/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_pages_batch_edit_patch**](docs/DefaultApi.md#api_pages_batch_edit_patch) | **PATCH** /api/pages/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_pages_batch_edit_put**](docs/DefaultApi.md#api_pages_batch_edit_put) | **PUT** /api/pages/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_pages_batch_new_post**](docs/DefaultApi.md#api_pages_batch_new_post) | **POST** /api/pages/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_pages_get**](docs/DefaultApi.md#api_pages_get) | **GET** /api/pages | Obtains a list of pages.
*SwaggerClient::DefaultApi* | [**api_pages_id_delete_delete**](docs/DefaultApi.md#api_pages_id_delete_delete) | **DELETE** /api/pages/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_pages_id_edit_patch**](docs/DefaultApi.md#api_pages_id_edit_patch) | **PATCH** /api/pages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_pages_id_edit_put**](docs/DefaultApi.md#api_pages_id_edit_put) | **PUT** /api/pages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_pages_id_get**](docs/DefaultApi.md#api_pages_id_get) | **GET** /api/pages/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_pages_new_post**](docs/DefaultApi.md#api_pages_new_post) | **POST** /api/pages/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_points_actions_types_get**](docs/DefaultApi.md#api_points_actions_types_get) | **GET** /api/points/actions/types | Return array of available point action types.
*SwaggerClient::DefaultApi* | [**api_points_batch_delete_delete**](docs/DefaultApi.md#api_points_batch_delete_delete) | **DELETE** /api/points/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_points_batch_edit_patch**](docs/DefaultApi.md#api_points_batch_edit_patch) | **PATCH** /api/points/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_points_batch_edit_put**](docs/DefaultApi.md#api_points_batch_edit_put) | **PUT** /api/points/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_points_batch_new_post**](docs/DefaultApi.md#api_points_batch_new_post) | **POST** /api/points/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_points_get**](docs/DefaultApi.md#api_points_get) | **GET** /api/points | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_points_id_delete_delete**](docs/DefaultApi.md#api_points_id_delete_delete) | **DELETE** /api/points/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_points_id_edit_patch**](docs/DefaultApi.md#api_points_id_edit_patch) | **PATCH** /api/points/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_points_id_edit_put**](docs/DefaultApi.md#api_points_id_edit_put) | **PUT** /api/points/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_points_id_get**](docs/DefaultApi.md#api_points_id_get) | **GET** /api/points/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_points_new_post**](docs/DefaultApi.md#api_points_new_post) | **POST** /api/points/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_points_triggers_batch_delete_delete**](docs/DefaultApi.md#api_points_triggers_batch_delete_delete) | **DELETE** /api/points/triggers/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_points_triggers_batch_edit_patch**](docs/DefaultApi.md#api_points_triggers_batch_edit_patch) | **PATCH** /api/points/triggers/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_points_triggers_batch_edit_put**](docs/DefaultApi.md#api_points_triggers_batch_edit_put) | **PUT** /api/points/triggers/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_points_triggers_batch_new_post**](docs/DefaultApi.md#api_points_triggers_batch_new_post) | **POST** /api/points/triggers/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_points_triggers_events_types_get**](docs/DefaultApi.md#api_points_triggers_events_types_get) | **GET** /api/points/triggers/events/types | Return array of available point trigger event types.
*SwaggerClient::DefaultApi* | [**api_points_triggers_get**](docs/DefaultApi.md#api_points_triggers_get) | **GET** /api/points/triggers | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_points_triggers_id_delete_delete**](docs/DefaultApi.md#api_points_triggers_id_delete_delete) | **DELETE** /api/points/triggers/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_points_triggers_id_edit_patch**](docs/DefaultApi.md#api_points_triggers_id_edit_patch) | **PATCH** /api/points/triggers/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_points_triggers_id_edit_put**](docs/DefaultApi.md#api_points_triggers_id_edit_put) | **PUT** /api/points/triggers/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_points_triggers_id_get**](docs/DefaultApi.md#api_points_triggers_id_get) | **GET** /api/points/triggers/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_points_triggers_new_post**](docs/DefaultApi.md#api_points_triggers_new_post) | **POST** /api/points/triggers/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_points_triggers_trigger_id_events_delete_delete**](docs/DefaultApi.md#api_points_triggers_trigger_id_events_delete_delete) | **DELETE** /api/points/triggers/{triggerId}/events/delete | Delete events from a point trigger.
*SwaggerClient::DefaultApi* | [**api_reports_get**](docs/DefaultApi.md#api_reports_get) | **GET** /api/reports | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_reports_id_get**](docs/DefaultApi.md#api_reports_id_get) | **GET** /api/reports/{id} | Obtains a compiled report.
*SwaggerClient::DefaultApi* | [**api_roles_batch_delete_delete**](docs/DefaultApi.md#api_roles_batch_delete_delete) | **DELETE** /api/roles/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_roles_batch_edit_patch**](docs/DefaultApi.md#api_roles_batch_edit_patch) | **PATCH** /api/roles/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_roles_batch_edit_put**](docs/DefaultApi.md#api_roles_batch_edit_put) | **PUT** /api/roles/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_roles_batch_new_post**](docs/DefaultApi.md#api_roles_batch_new_post) | **POST** /api/roles/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_roles_get**](docs/DefaultApi.md#api_roles_get) | **GET** /api/roles | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_roles_id_delete_delete**](docs/DefaultApi.md#api_roles_id_delete_delete) | **DELETE** /api/roles/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_roles_id_edit_patch**](docs/DefaultApi.md#api_roles_id_edit_patch) | **PATCH** /api/roles/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_roles_id_edit_put**](docs/DefaultApi.md#api_roles_id_edit_put) | **PUT** /api/roles/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_roles_id_get**](docs/DefaultApi.md#api_roles_id_get) | **GET** /api/roles/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_roles_new_post**](docs/DefaultApi.md#api_roles_new_post) | **POST** /api/roles/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_segments_batch_delete_delete**](docs/DefaultApi.md#api_segments_batch_delete_delete) | **DELETE** /api/segments/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_segments_batch_edit_patch**](docs/DefaultApi.md#api_segments_batch_edit_patch) | **PATCH** /api/segments/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_segments_batch_edit_put**](docs/DefaultApi.md#api_segments_batch_edit_put) | **PUT** /api/segments/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_segments_batch_new_post**](docs/DefaultApi.md#api_segments_batch_new_post) | **POST** /api/segments/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_segments_get**](docs/DefaultApi.md#api_segments_get) | **GET** /api/segments | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_segments_id_contact_lead_id_add_post**](docs/DefaultApi.md#api_segments_id_contact_lead_id_add_post) | **POST** /api/segments/{id}/contact/{leadId}/add | Adds a lead to a list.
*SwaggerClient::DefaultApi* | [**api_segments_id_contact_lead_id_remove_post**](docs/DefaultApi.md#api_segments_id_contact_lead_id_remove_post) | **POST** /api/segments/{id}/contact/{leadId}/remove | Removes given contact from a list.
*SwaggerClient::DefaultApi* | [**api_segments_id_contacts_add_post**](docs/DefaultApi.md#api_segments_id_contacts_add_post) | **POST** /api/segments/{id}/contacts/add | Adds a leads to a list.
*SwaggerClient::DefaultApi* | [**api_segments_id_delete_delete**](docs/DefaultApi.md#api_segments_id_delete_delete) | **DELETE** /api/segments/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_segments_id_edit_patch**](docs/DefaultApi.md#api_segments_id_edit_patch) | **PATCH** /api/segments/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_segments_id_edit_put**](docs/DefaultApi.md#api_segments_id_edit_put) | **PUT** /api/segments/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_segments_id_get**](docs/DefaultApi.md#api_segments_id_get) | **GET** /api/segments/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_segments_new_post**](docs/DefaultApi.md#api_segments_new_post) | **POST** /api/segments/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_smses_batch_delete_delete**](docs/DefaultApi.md#api_smses_batch_delete_delete) | **DELETE** /api/smses/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_smses_batch_edit_patch**](docs/DefaultApi.md#api_smses_batch_edit_patch) | **PATCH** /api/smses/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_smses_batch_edit_put**](docs/DefaultApi.md#api_smses_batch_edit_put) | **PUT** /api/smses/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_smses_batch_new_post**](docs/DefaultApi.md#api_smses_batch_new_post) | **POST** /api/smses/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_smses_get**](docs/DefaultApi.md#api_smses_get) | **GET** /api/smses | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_smses_id_contact_contact_id_send_get**](docs/DefaultApi.md#api_smses_id_contact_contact_id_send_get) | **GET** /api/smses/{id}/contact/{contactId}/send | 
*SwaggerClient::DefaultApi* | [**api_smses_id_delete_delete**](docs/DefaultApi.md#api_smses_id_delete_delete) | **DELETE** /api/smses/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_smses_id_edit_patch**](docs/DefaultApi.md#api_smses_id_edit_patch) | **PATCH** /api/smses/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_smses_id_edit_put**](docs/DefaultApi.md#api_smses_id_edit_put) | **PUT** /api/smses/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_smses_id_get**](docs/DefaultApi.md#api_smses_id_get) | **GET** /api/smses/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_smses_new_post**](docs/DefaultApi.md#api_smses_new_post) | **POST** /api/smses/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_stages_batch_delete_delete**](docs/DefaultApi.md#api_stages_batch_delete_delete) | **DELETE** /api/stages/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_stages_batch_edit_patch**](docs/DefaultApi.md#api_stages_batch_edit_patch) | **PATCH** /api/stages/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_stages_batch_edit_put**](docs/DefaultApi.md#api_stages_batch_edit_put) | **PUT** /api/stages/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_stages_batch_new_post**](docs/DefaultApi.md#api_stages_batch_new_post) | **POST** /api/stages/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_stages_get**](docs/DefaultApi.md#api_stages_get) | **GET** /api/stages | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_stages_id_contact_contact_id_add_post**](docs/DefaultApi.md#api_stages_id_contact_contact_id_add_post) | **POST** /api/stages/{id}/contact/{contactId}/add | Adds a contact to a list.
*SwaggerClient::DefaultApi* | [**api_stages_id_contact_contact_id_remove_post**](docs/DefaultApi.md#api_stages_id_contact_contact_id_remove_post) | **POST** /api/stages/{id}/contact/{contactId}/remove | Removes given contact from a list.
*SwaggerClient::DefaultApi* | [**api_stages_id_delete_delete**](docs/DefaultApi.md#api_stages_id_delete_delete) | **DELETE** /api/stages/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_stages_id_edit_patch**](docs/DefaultApi.md#api_stages_id_edit_patch) | **PATCH** /api/stages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_stages_id_edit_put**](docs/DefaultApi.md#api_stages_id_edit_put) | **PUT** /api/stages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_stages_id_get**](docs/DefaultApi.md#api_stages_id_get) | **GET** /api/stages/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_stages_new_post**](docs/DefaultApi.md#api_stages_new_post) | **POST** /api/stages/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_stats_table_get**](docs/DefaultApi.md#api_stats_table_get) | **GET** /api/stats/{table} | Lists stats for a database table.
*SwaggerClient::DefaultApi* | [**api_tags_batch_delete_delete**](docs/DefaultApi.md#api_tags_batch_delete_delete) | **DELETE** /api/tags/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_tags_batch_edit_patch**](docs/DefaultApi.md#api_tags_batch_edit_patch) | **PATCH** /api/tags/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_tags_batch_edit_put**](docs/DefaultApi.md#api_tags_batch_edit_put) | **PUT** /api/tags/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_tags_batch_new_post**](docs/DefaultApi.md#api_tags_batch_new_post) | **POST** /api/tags/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_tags_get**](docs/DefaultApi.md#api_tags_get) | **GET** /api/tags | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_tags_id_delete_delete**](docs/DefaultApi.md#api_tags_id_delete_delete) | **DELETE** /api/tags/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_tags_id_edit_patch**](docs/DefaultApi.md#api_tags_id_edit_patch) | **PATCH** /api/tags/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_tags_id_edit_put**](docs/DefaultApi.md#api_tags_id_edit_put) | **PUT** /api/tags/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_tags_id_get**](docs/DefaultApi.md#api_tags_id_get) | **GET** /api/tags/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_tags_new_post**](docs/DefaultApi.md#api_tags_new_post) | **POST** /api/tags/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_themes_get**](docs/DefaultApi.md#api_themes_get) | **GET** /api/themes | List the folders (themes) in the /themes directory.
*SwaggerClient::DefaultApi* | [**api_themes_new_post**](docs/DefaultApi.md#api_themes_new_post) | **POST** /api/themes/new | Accepts the zip file and installs the theme from it.
*SwaggerClient::DefaultApi* | [**api_themes_theme_delete_delete**](docs/DefaultApi.md#api_themes_theme_delete_delete) | **DELETE** /api/themes/{theme}/delete | Delete a theme.
*SwaggerClient::DefaultApi* | [**api_themes_theme_get**](docs/DefaultApi.md#api_themes_theme_get) | **GET** /api/themes/{theme} | Get zip file of a theme.
*SwaggerClient::DefaultApi* | [**api_tweets_batch_delete_delete**](docs/DefaultApi.md#api_tweets_batch_delete_delete) | **DELETE** /api/tweets/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_tweets_batch_edit_patch**](docs/DefaultApi.md#api_tweets_batch_edit_patch) | **PATCH** /api/tweets/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_tweets_batch_edit_put**](docs/DefaultApi.md#api_tweets_batch_edit_put) | **PUT** /api/tweets/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_tweets_batch_new_post**](docs/DefaultApi.md#api_tweets_batch_new_post) | **POST** /api/tweets/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_tweets_get**](docs/DefaultApi.md#api_tweets_get) | **GET** /api/tweets | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_tweets_id_delete_delete**](docs/DefaultApi.md#api_tweets_id_delete_delete) | **DELETE** /api/tweets/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_tweets_id_edit_patch**](docs/DefaultApi.md#api_tweets_id_edit_patch) | **PATCH** /api/tweets/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_tweets_id_edit_put**](docs/DefaultApi.md#api_tweets_id_edit_put) | **PUT** /api/tweets/{id}/edit | Edits an existing entity or creates one on PUT if it doesn't exist.
*SwaggerClient::DefaultApi* | [**api_tweets_id_get**](docs/DefaultApi.md#api_tweets_id_get) | **GET** /api/tweets/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_tweets_new_post**](docs/DefaultApi.md#api_tweets_new_post) | **POST** /api/tweets/new | Creates a new entity.
*SwaggerClient::DefaultApi* | [**api_users_batch_delete_delete**](docs/DefaultApi.md#api_users_batch_delete_delete) | **DELETE** /api/users/batch/delete | Delete a batch of entities.
*SwaggerClient::DefaultApi* | [**api_users_batch_edit_patch**](docs/DefaultApi.md#api_users_batch_edit_patch) | **PATCH** /api/users/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_users_batch_edit_put**](docs/DefaultApi.md#api_users_batch_edit_put) | **PUT** /api/users/batch/edit | Edit a batch of entities.
*SwaggerClient::DefaultApi* | [**api_users_batch_new_post**](docs/DefaultApi.md#api_users_batch_new_post) | **POST** /api/users/batch/new | Create a batch of new entities.
*SwaggerClient::DefaultApi* | [**api_users_get**](docs/DefaultApi.md#api_users_get) | **GET** /api/users | Obtains a list of entities as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_users_id_delete_delete**](docs/DefaultApi.md#api_users_id_delete_delete) | **DELETE** /api/users/{id}/delete | Deletes an entity.
*SwaggerClient::DefaultApi* | [**api_users_id_edit_patch**](docs/DefaultApi.md#api_users_id_edit_patch) | **PATCH** /api/users/{id}/edit | Edits an existing user or creates a new one on PUT if not found.
*SwaggerClient::DefaultApi* | [**api_users_id_edit_put**](docs/DefaultApi.md#api_users_id_edit_put) | **PUT** /api/users/{id}/edit | Edits an existing user or creates a new one on PUT if not found.
*SwaggerClient::DefaultApi* | [**api_users_id_get**](docs/DefaultApi.md#api_users_id_get) | **GET** /api/users/{id} | Obtains a specific entity as defined by the API URL.
*SwaggerClient::DefaultApi* | [**api_users_id_permissioncheck_post**](docs/DefaultApi.md#api_users_id_permissioncheck_post) | **POST** /api/users/{id}/permissioncheck | Verifies if a user has permission(s) to a action.
*SwaggerClient::DefaultApi* | [**api_users_list_roles_get**](docs/DefaultApi.md#api_users_list_roles_get) | **GET** /api/users/list/roles | Obtains a list of roles for user edits.
*SwaggerClient::DefaultApi* | [**api_users_new_post**](docs/DefaultApi.md#api_users_new_post) | **POST** /api/users/new | Creates a new user.
*SwaggerClient::DefaultApi* | [**api_users_self_get**](docs/DefaultApi.md#api_users_self_get) | **GET** /api/users/self | Obtains the logged in user's data.


## Documentation for Models



## Documentation for Authorization


### Basic

- **Type**: HTTP basic authentication

