# SwaggerClient::DefaultApi

All URIs are relative to *https://https://atoc.detie.cn/index_dev.php*

Method | HTTP request | Description
------------- | ------------- | -------------
[**api_assets_batch_delete_delete**](DefaultApi.md#api_assets_batch_delete_delete) | **DELETE** /api/assets/batch/delete | Delete a batch of entities.
[**api_assets_batch_edit_patch**](DefaultApi.md#api_assets_batch_edit_patch) | **PATCH** /api/assets/batch/edit | Edit a batch of entities.
[**api_assets_batch_edit_put**](DefaultApi.md#api_assets_batch_edit_put) | **PUT** /api/assets/batch/edit | Edit a batch of entities.
[**api_assets_batch_new_post**](DefaultApi.md#api_assets_batch_new_post) | **POST** /api/assets/batch/new | Create a batch of new entities.
[**api_assets_get**](DefaultApi.md#api_assets_get) | **GET** /api/assets | Obtains a list of entities as defined by the API URL.
[**api_assets_id_delete_delete**](DefaultApi.md#api_assets_id_delete_delete) | **DELETE** /api/assets/{id}/delete | Deletes an entity.
[**api_assets_id_edit_patch**](DefaultApi.md#api_assets_id_edit_patch) | **PATCH** /api/assets/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_assets_id_edit_put**](DefaultApi.md#api_assets_id_edit_put) | **PUT** /api/assets/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_assets_id_get**](DefaultApi.md#api_assets_id_get) | **GET** /api/assets/{id} | Obtains a specific entity as defined by the API URL.
[**api_assets_new_post**](DefaultApi.md#api_assets_new_post) | **POST** /api/assets/new | Creates a new entity.
[**api_campaigns_batch_delete_delete**](DefaultApi.md#api_campaigns_batch_delete_delete) | **DELETE** /api/campaigns/batch/delete | Delete a batch of entities.
[**api_campaigns_batch_edit_patch**](DefaultApi.md#api_campaigns_batch_edit_patch) | **PATCH** /api/campaigns/batch/edit | Edit a batch of entities.
[**api_campaigns_batch_edit_put**](DefaultApi.md#api_campaigns_batch_edit_put) | **PUT** /api/campaigns/batch/edit | Edit a batch of entities.
[**api_campaigns_batch_new_post**](DefaultApi.md#api_campaigns_batch_new_post) | **POST** /api/campaigns/batch/new | Create a batch of new entities.
[**api_campaigns_campaign_id_events_contact_contact_id_get**](DefaultApi.md#api_campaigns_campaign_id_events_contact_contact_id_get) | **GET** /api/campaigns/{campaignId}/events/contact/{contactId} | Get a list of events.
[**api_campaigns_clone_campaign_id_post**](DefaultApi.md#api_campaigns_clone_campaign_id_post) | **POST** /api/campaigns/clone/{campaignId} | 
[**api_campaigns_events_batch_edit_put**](DefaultApi.md#api_campaigns_events_batch_edit_put) | **PUT** /api/campaigns/events/batch/edit | 
[**api_campaigns_events_contact_contact_id_get**](DefaultApi.md#api_campaigns_events_contact_contact_id_get) | **GET** /api/campaigns/events/contact/{contactId} | Get a list of events.
[**api_campaigns_events_event_id_contact_contact_id_edit_put**](DefaultApi.md#api_campaigns_events_event_id_contact_contact_id_edit_put) | **PUT** /api/campaigns/events/{eventId}/contact/{contactId}/edit | 
[**api_campaigns_events_get**](DefaultApi.md#api_campaigns_events_get) | **GET** /api/campaigns/events | Obtains a list of entities as defined by the API URL.
[**api_campaigns_events_id_get**](DefaultApi.md#api_campaigns_events_id_get) | **GET** /api/campaigns/events/{id} | Obtains a specific entity as defined by the API URL.
[**api_campaigns_get**](DefaultApi.md#api_campaigns_get) | **GET** /api/campaigns | Obtains a list of entities as defined by the API URL.
[**api_campaigns_id_contact_lead_id_add_post**](DefaultApi.md#api_campaigns_id_contact_lead_id_add_post) | **POST** /api/campaigns/{id}/contact/{leadId}/add | Adds a lead to a campaign.
[**api_campaigns_id_contact_lead_id_remove_post**](DefaultApi.md#api_campaigns_id_contact_lead_id_remove_post) | **POST** /api/campaigns/{id}/contact/{leadId}/remove | Removes given lead from a campaign.
[**api_campaigns_id_contacts_get**](DefaultApi.md#api_campaigns_id_contacts_get) | **GET** /api/campaigns/{id}/contacts | Obtains a list of campaign contacts.
[**api_campaigns_id_delete_delete**](DefaultApi.md#api_campaigns_id_delete_delete) | **DELETE** /api/campaigns/{id}/delete | Deletes an entity.
[**api_campaigns_id_edit_patch**](DefaultApi.md#api_campaigns_id_edit_patch) | **PATCH** /api/campaigns/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_campaigns_id_edit_put**](DefaultApi.md#api_campaigns_id_edit_put) | **PUT** /api/campaigns/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_campaigns_id_get**](DefaultApi.md#api_campaigns_id_get) | **GET** /api/campaigns/{id} | Obtains a specific entity as defined by the API URL.
[**api_campaigns_new_post**](DefaultApi.md#api_campaigns_new_post) | **POST** /api/campaigns/new | Creates a new entity.
[**api_categories_batch_delete_delete**](DefaultApi.md#api_categories_batch_delete_delete) | **DELETE** /api/categories/batch/delete | Delete a batch of entities.
[**api_categories_batch_edit_patch**](DefaultApi.md#api_categories_batch_edit_patch) | **PATCH** /api/categories/batch/edit | Edit a batch of entities.
[**api_categories_batch_edit_put**](DefaultApi.md#api_categories_batch_edit_put) | **PUT** /api/categories/batch/edit | Edit a batch of entities.
[**api_categories_batch_new_post**](DefaultApi.md#api_categories_batch_new_post) | **POST** /api/categories/batch/new | Create a batch of new entities.
[**api_categories_get**](DefaultApi.md#api_categories_get) | **GET** /api/categories | Obtains a list of entities as defined by the API URL.
[**api_categories_id_delete_delete**](DefaultApi.md#api_categories_id_delete_delete) | **DELETE** /api/categories/{id}/delete | Deletes an entity.
[**api_categories_id_edit_patch**](DefaultApi.md#api_categories_id_edit_patch) | **PATCH** /api/categories/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_categories_id_edit_put**](DefaultApi.md#api_categories_id_edit_put) | **PUT** /api/categories/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_categories_id_get**](DefaultApi.md#api_categories_id_get) | **GET** /api/categories/{id} | Obtains a specific entity as defined by the API URL.
[**api_categories_new_post**](DefaultApi.md#api_categories_new_post) | **POST** /api/categories/new | Creates a new entity.
[**api_companies_batch_delete_delete**](DefaultApi.md#api_companies_batch_delete_delete) | **DELETE** /api/companies/batch/delete | Delete a batch of entities.
[**api_companies_batch_edit_patch**](DefaultApi.md#api_companies_batch_edit_patch) | **PATCH** /api/companies/batch/edit | Edit a batch of entities.
[**api_companies_batch_edit_put**](DefaultApi.md#api_companies_batch_edit_put) | **PUT** /api/companies/batch/edit | Edit a batch of entities.
[**api_companies_batch_new_post**](DefaultApi.md#api_companies_batch_new_post) | **POST** /api/companies/batch/new | Create a batch of new entities.
[**api_companies_company_id_contact_contact_id_add_post**](DefaultApi.md#api_companies_company_id_contact_contact_id_add_post) | **POST** /api/companies/{companyId}/contact/{contactId}/add | Adds a contact to a company.
[**api_companies_company_id_contact_contact_id_remove_post**](DefaultApi.md#api_companies_company_id_contact_contact_id_remove_post) | **POST** /api/companies/{companyId}/contact/{contactId}/remove | Removes given contact from a company.
[**api_companies_get**](DefaultApi.md#api_companies_get) | **GET** /api/companies | Obtains a list of entities as defined by the API URL.
[**api_companies_id_delete_delete**](DefaultApi.md#api_companies_id_delete_delete) | **DELETE** /api/companies/{id}/delete | Deletes an entity.
[**api_companies_id_edit_patch**](DefaultApi.md#api_companies_id_edit_patch) | **PATCH** /api/companies/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_companies_id_edit_put**](DefaultApi.md#api_companies_id_edit_put) | **PUT** /api/companies/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_companies_id_get**](DefaultApi.md#api_companies_id_get) | **GET** /api/companies/{id} | Obtains a specific entity as defined by the API URL.
[**api_companies_new_post**](DefaultApi.md#api_companies_new_post) | **POST** /api/companies/new | If an existing company is matched, it&#39;ll be merged. Otherwise it&#39;ll be created.
[**api_contacts_activity_get**](DefaultApi.md#api_contacts_activity_get) | **GET** /api/contacts/activity | Obtains a list of contact events.
[**api_contacts_batch_delete_delete**](DefaultApi.md#api_contacts_batch_delete_delete) | **DELETE** /api/contacts/batch/delete | Delete a batch of entities.
[**api_contacts_batch_edit_patch**](DefaultApi.md#api_contacts_batch_edit_patch) | **PATCH** /api/contacts/batch/edit | Edit a batch of entities.
[**api_contacts_batch_edit_put**](DefaultApi.md#api_contacts_batch_edit_put) | **PUT** /api/contacts/batch/edit | Edit a batch of entities.
[**api_contacts_batch_new_post**](DefaultApi.md#api_contacts_batch_new_post) | **POST** /api/contacts/batch/new | Create a batch of new entities.
[**api_contacts_get**](DefaultApi.md#api_contacts_get) | **GET** /api/contacts | Obtains a list of entities as defined by the API URL.
[**api_contacts_id_activity_get**](DefaultApi.md#api_contacts_id_activity_get) | **GET** /api/contacts/{id}/activity | Obtains a list of contact events.
[**api_contacts_id_campaigns_get**](DefaultApi.md#api_contacts_id_campaigns_get) | **GET** /api/contacts/{id}/campaigns | Obtains a list of campaigns the lead is part of.
[**api_contacts_id_companies_get**](DefaultApi.md#api_contacts_id_companies_get) | **GET** /api/contacts/{id}/companies | Obtains a list of contact companies the contact is in.
[**api_contacts_id_delete_delete**](DefaultApi.md#api_contacts_id_delete_delete) | **DELETE** /api/contacts/{id}/delete | Deletes an entity.
[**api_contacts_id_devices_get**](DefaultApi.md#api_contacts_id_devices_get) | **GET** /api/contacts/{id}/devices | Obtains a list of devices on a specific lead.
[**api_contacts_id_dnc_channel_add_post**](DefaultApi.md#api_contacts_id_dnc_channel_add_post) | **POST** /api/contacts/{id}/dnc/{channel}/add | Adds a DNC to the contact.
[**api_contacts_id_dnc_channel_remove_post**](DefaultApi.md#api_contacts_id_dnc_channel_remove_post) | **POST** /api/contacts/{id}/dnc/{channel}/remove | Removes a DNC from the contact.
[**api_contacts_id_edit_patch**](DefaultApi.md#api_contacts_id_edit_patch) | **PATCH** /api/contacts/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_contacts_id_edit_put**](DefaultApi.md#api_contacts_id_edit_put) | **PUT** /api/contacts/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_contacts_id_get**](DefaultApi.md#api_contacts_id_get) | **GET** /api/contacts/{id} | Obtains a specific entity as defined by the API URL.
[**api_contacts_id_notes_get**](DefaultApi.md#api_contacts_id_notes_get) | **GET** /api/contacts/{id}/notes | Obtains a list of notes on a specific lead.
[**api_contacts_id_segments_get**](DefaultApi.md#api_contacts_id_segments_get) | **GET** /api/contacts/{id}/segments | Obtains a list of contact segments the contact is in.
[**api_contacts_id_utm_add_post**](DefaultApi.md#api_contacts_id_utm_add_post) | **POST** /api/contacts/{id}/utm/add | Adds a UTM Tagset to the contact.
[**api_contacts_id_utm_utmid_remove_post**](DefaultApi.md#api_contacts_id_utm_utmid_remove_post) | **POST** /api/contacts/{id}/utm/{utmid}/remove | Remove a UTM Tagset for the contact.
[**api_contacts_lead_id_points_operator_delta_post**](DefaultApi.md#api_contacts_lead_id_points_operator_delta_post) | **POST** /api/contacts/{leadId}/points/{operator}/{delta} | Subtract points from a lead.
[**api_contacts_list_fields_get**](DefaultApi.md#api_contacts_list_fields_get) | **GET** /api/contacts/list/fields | Obtains a list of custom fields.
[**api_contacts_list_owners_get**](DefaultApi.md#api_contacts_list_owners_get) | **GET** /api/contacts/list/owners | Obtains a list of users for lead owner edits.
[**api_contacts_list_segments_get**](DefaultApi.md#api_contacts_list_segments_get) | **GET** /api/contacts/list/segments | Obtains a list of smart lists for the user.
[**api_contacts_new_post**](DefaultApi.md#api_contacts_new_post) | **POST** /api/contacts/new | Creates a new entity.
[**api_data_get**](DefaultApi.md#api_data_get) | **GET** /api/data | Obtains a list of available widget types.
[**api_data_type_get**](DefaultApi.md#api_data_type_get) | **GET** /api/data/{type} | Obtains a list of available widget types.
[**api_devices_batch_delete_delete**](DefaultApi.md#api_devices_batch_delete_delete) | **DELETE** /api/devices/batch/delete | Delete a batch of entities.
[**api_devices_batch_edit_patch**](DefaultApi.md#api_devices_batch_edit_patch) | **PATCH** /api/devices/batch/edit | Edit a batch of entities.
[**api_devices_batch_edit_put**](DefaultApi.md#api_devices_batch_edit_put) | **PUT** /api/devices/batch/edit | Edit a batch of entities.
[**api_devices_batch_new_post**](DefaultApi.md#api_devices_batch_new_post) | **POST** /api/devices/batch/new | Create a batch of new entities.
[**api_devices_get**](DefaultApi.md#api_devices_get) | **GET** /api/devices | Obtains a list of entities as defined by the API URL.
[**api_devices_id_delete_delete**](DefaultApi.md#api_devices_id_delete_delete) | **DELETE** /api/devices/{id}/delete | Deletes an entity.
[**api_devices_id_edit_patch**](DefaultApi.md#api_devices_id_edit_patch) | **PATCH** /api/devices/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_devices_id_edit_put**](DefaultApi.md#api_devices_id_edit_put) | **PUT** /api/devices/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_devices_id_get**](DefaultApi.md#api_devices_id_get) | **GET** /api/devices/{id} | Obtains a specific entity as defined by the API URL.
[**api_devices_new_post**](DefaultApi.md#api_devices_new_post) | **POST** /api/devices/new | Creates a new entity.
[**api_dynamiccontents_batch_delete_delete**](DefaultApi.md#api_dynamiccontents_batch_delete_delete) | **DELETE** /api/dynamiccontents/batch/delete | Delete a batch of entities.
[**api_dynamiccontents_batch_edit_patch**](DefaultApi.md#api_dynamiccontents_batch_edit_patch) | **PATCH** /api/dynamiccontents/batch/edit | Edit a batch of entities.
[**api_dynamiccontents_batch_edit_put**](DefaultApi.md#api_dynamiccontents_batch_edit_put) | **PUT** /api/dynamiccontents/batch/edit | Edit a batch of entities.
[**api_dynamiccontents_batch_new_post**](DefaultApi.md#api_dynamiccontents_batch_new_post) | **POST** /api/dynamiccontents/batch/new | Create a batch of new entities.
[**api_dynamiccontents_get**](DefaultApi.md#api_dynamiccontents_get) | **GET** /api/dynamiccontents | Obtains a list of entities as defined by the API URL.
[**api_dynamiccontents_id_delete_delete**](DefaultApi.md#api_dynamiccontents_id_delete_delete) | **DELETE** /api/dynamiccontents/{id}/delete | Deletes an entity.
[**api_dynamiccontents_id_edit_patch**](DefaultApi.md#api_dynamiccontents_id_edit_patch) | **PATCH** /api/dynamiccontents/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_dynamiccontents_id_edit_put**](DefaultApi.md#api_dynamiccontents_id_edit_put) | **PUT** /api/dynamiccontents/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_dynamiccontents_id_get**](DefaultApi.md#api_dynamiccontents_id_get) | **GET** /api/dynamiccontents/{id} | Obtains a specific entity as defined by the API URL.
[**api_dynamiccontents_new_post**](DefaultApi.md#api_dynamiccontents_new_post) | **POST** /api/dynamiccontents/new | Creates a new entity.
[**api_emails_batch_delete_delete**](DefaultApi.md#api_emails_batch_delete_delete) | **DELETE** /api/emails/batch/delete | Delete a batch of entities.
[**api_emails_batch_edit_patch**](DefaultApi.md#api_emails_batch_edit_patch) | **PATCH** /api/emails/batch/edit | Edit a batch of entities.
[**api_emails_batch_edit_put**](DefaultApi.md#api_emails_batch_edit_put) | **PUT** /api/emails/batch/edit | Edit a batch of entities.
[**api_emails_batch_new_post**](DefaultApi.md#api_emails_batch_new_post) | **POST** /api/emails/batch/new | Create a batch of new entities.
[**api_emails_get**](DefaultApi.md#api_emails_get) | **GET** /api/emails | Obtains a list of emails.
[**api_emails_id_contact_lead_id_send_post**](DefaultApi.md#api_emails_id_contact_lead_id_send_post) | **POST** /api/emails/{id}/contact/{leadId}/send | Sends the email to a specific lead.
[**api_emails_id_delete_delete**](DefaultApi.md#api_emails_id_delete_delete) | **DELETE** /api/emails/{id}/delete | Deletes an entity.
[**api_emails_id_edit_patch**](DefaultApi.md#api_emails_id_edit_patch) | **PATCH** /api/emails/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_emails_id_edit_put**](DefaultApi.md#api_emails_id_edit_put) | **PUT** /api/emails/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_emails_id_get**](DefaultApi.md#api_emails_id_get) | **GET** /api/emails/{id} | Obtains a specific entity as defined by the API URL.
[**api_emails_id_send_post**](DefaultApi.md#api_emails_id_send_post) | **POST** /api/emails/{id}/send | Sends the email to it&#39;s assigned lists.
[**api_emails_new_post**](DefaultApi.md#api_emails_new_post) | **POST** /api/emails/new | Creates a new entity.
[**api_fields_object_batch_delete_delete**](DefaultApi.md#api_fields_object_batch_delete_delete) | **DELETE** /api/fields/{object}/batch/delete | Delete a batch of entities.
[**api_fields_object_batch_edit_patch**](DefaultApi.md#api_fields_object_batch_edit_patch) | **PATCH** /api/fields/{object}/batch/edit | Edit a batch of entities.
[**api_fields_object_batch_edit_put**](DefaultApi.md#api_fields_object_batch_edit_put) | **PUT** /api/fields/{object}/batch/edit | Edit a batch of entities.
[**api_fields_object_batch_new_post**](DefaultApi.md#api_fields_object_batch_new_post) | **POST** /api/fields/{object}/batch/new | Create a batch of new entities.
[**api_fields_object_get**](DefaultApi.md#api_fields_object_get) | **GET** /api/fields/{object} | Obtains a list of entities as defined by the API URL.
[**api_fields_object_id_delete_delete**](DefaultApi.md#api_fields_object_id_delete_delete) | **DELETE** /api/fields/{object}/{id}/delete | Deletes an entity.
[**api_fields_object_id_edit_patch**](DefaultApi.md#api_fields_object_id_edit_patch) | **PATCH** /api/fields/{object}/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_fields_object_id_edit_put**](DefaultApi.md#api_fields_object_id_edit_put) | **PUT** /api/fields/{object}/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_fields_object_id_get**](DefaultApi.md#api_fields_object_id_get) | **GET** /api/fields/{object}/{id} | Obtains a specific entity as defined by the API URL.
[**api_fields_object_new_post**](DefaultApi.md#api_fields_object_new_post) | **POST** /api/fields/{object}/new | Creates a new entity.
[**api_files_dir_file_delete_delete**](DefaultApi.md#api_files_dir_file_delete_delete) | **DELETE** /api/files/{dir}/{file}/delete | Delete a file from /media directory.
[**api_files_dir_get**](DefaultApi.md#api_files_dir_get) | **GET** /api/files/{dir} | List the files in /media directory.
[**api_files_dir_new_post**](DefaultApi.md#api_files_dir_new_post) | **POST** /api/files/{dir}/new | Uploads a file.
[**api_focus_batch_delete_delete**](DefaultApi.md#api_focus_batch_delete_delete) | **DELETE** /api/focus/batch/delete | Delete a batch of entities.
[**api_focus_batch_edit_patch**](DefaultApi.md#api_focus_batch_edit_patch) | **PATCH** /api/focus/batch/edit | Edit a batch of entities.
[**api_focus_batch_edit_put**](DefaultApi.md#api_focus_batch_edit_put) | **PUT** /api/focus/batch/edit | Edit a batch of entities.
[**api_focus_batch_new_post**](DefaultApi.md#api_focus_batch_new_post) | **POST** /api/focus/batch/new | Create a batch of new entities.
[**api_focus_get**](DefaultApi.md#api_focus_get) | **GET** /api/focus | Obtains a list of entities as defined by the API URL.
[**api_focus_id_delete_delete**](DefaultApi.md#api_focus_id_delete_delete) | **DELETE** /api/focus/{id}/delete | Deletes an entity.
[**api_focus_id_edit_patch**](DefaultApi.md#api_focus_id_edit_patch) | **PATCH** /api/focus/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_focus_id_edit_put**](DefaultApi.md#api_focus_id_edit_put) | **PUT** /api/focus/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_focus_id_get**](DefaultApi.md#api_focus_id_get) | **GET** /api/focus/{id} | Obtains a specific entity as defined by the API URL.
[**api_focus_id_js_post**](DefaultApi.md#api_focus_id_js_post) | **POST** /api/focus/{id}/js | 
[**api_focus_new_post**](DefaultApi.md#api_focus_new_post) | **POST** /api/focus/new | Creates a new entity.
[**api_forms_batch_delete_delete**](DefaultApi.md#api_forms_batch_delete_delete) | **DELETE** /api/forms/batch/delete | Delete a batch of entities.
[**api_forms_batch_edit_patch**](DefaultApi.md#api_forms_batch_edit_patch) | **PATCH** /api/forms/batch/edit | Edit a batch of entities.
[**api_forms_batch_edit_put**](DefaultApi.md#api_forms_batch_edit_put) | **PUT** /api/forms/batch/edit | Edit a batch of entities.
[**api_forms_batch_new_post**](DefaultApi.md#api_forms_batch_new_post) | **POST** /api/forms/batch/new | Create a batch of new entities.
[**api_forms_form_id_actions_delete_delete**](DefaultApi.md#api_forms_form_id_actions_delete_delete) | **DELETE** /api/forms/{formId}/actions/delete | Delete fields from a form.
[**api_forms_form_id_fields_delete_delete**](DefaultApi.md#api_forms_form_id_fields_delete_delete) | **DELETE** /api/forms/{formId}/fields/delete | Delete fields from a form.
[**api_forms_form_id_submissions_contact_contact_id_get**](DefaultApi.md#api_forms_form_id_submissions_contact_contact_id_get) | **GET** /api/forms/{formId}/submissions/contact/{contactId} | Obtains a list of entities for specific form and contact.
[**api_forms_form_id_submissions_get**](DefaultApi.md#api_forms_form_id_submissions_get) | **GET** /api/forms/{formId}/submissions | Obtains a list of entities as defined by the API URL.
[**api_forms_form_id_submissions_submission_id_get**](DefaultApi.md#api_forms_form_id_submissions_submission_id_get) | **GET** /api/forms/{formId}/submissions/{submissionId} | Obtains a specific entity as defined by the API URL.
[**api_forms_get**](DefaultApi.md#api_forms_get) | **GET** /api/forms | Obtains a list of entities as defined by the API URL.
[**api_forms_id_delete_delete**](DefaultApi.md#api_forms_id_delete_delete) | **DELETE** /api/forms/{id}/delete | Deletes an entity.
[**api_forms_id_edit_patch**](DefaultApi.md#api_forms_id_edit_patch) | **PATCH** /api/forms/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_forms_id_edit_put**](DefaultApi.md#api_forms_id_edit_put) | **PUT** /api/forms/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_forms_id_get**](DefaultApi.md#api_forms_id_get) | **GET** /api/forms/{id} | Obtains a specific entity as defined by the API URL.
[**api_forms_new_post**](DefaultApi.md#api_forms_new_post) | **POST** /api/forms/new | Creates a new entity.
[**api_hooks_batch_delete_delete**](DefaultApi.md#api_hooks_batch_delete_delete) | **DELETE** /api/hooks/batch/delete | Delete a batch of entities.
[**api_hooks_batch_edit_patch**](DefaultApi.md#api_hooks_batch_edit_patch) | **PATCH** /api/hooks/batch/edit | Edit a batch of entities.
[**api_hooks_batch_edit_put**](DefaultApi.md#api_hooks_batch_edit_put) | **PUT** /api/hooks/batch/edit | Edit a batch of entities.
[**api_hooks_batch_new_post**](DefaultApi.md#api_hooks_batch_new_post) | **POST** /api/hooks/batch/new | Create a batch of new entities.
[**api_hooks_get**](DefaultApi.md#api_hooks_get) | **GET** /api/hooks | Obtains a list of entities as defined by the API URL.
[**api_hooks_id_delete_delete**](DefaultApi.md#api_hooks_id_delete_delete) | **DELETE** /api/hooks/{id}/delete | Deletes an entity.
[**api_hooks_id_edit_patch**](DefaultApi.md#api_hooks_id_edit_patch) | **PATCH** /api/hooks/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_hooks_id_edit_put**](DefaultApi.md#api_hooks_id_edit_put) | **PUT** /api/hooks/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_hooks_id_get**](DefaultApi.md#api_hooks_id_get) | **GET** /api/hooks/{id} | Obtains a specific entity as defined by the API URL.
[**api_hooks_new_post**](DefaultApi.md#api_hooks_new_post) | **POST** /api/hooks/new | Creates a new entity.
[**api_hooks_triggers_get**](DefaultApi.md#api_hooks_triggers_get) | **GET** /api/hooks/triggers | 
[**api_messages_batch_delete_delete**](DefaultApi.md#api_messages_batch_delete_delete) | **DELETE** /api/messages/batch/delete | Delete a batch of entities.
[**api_messages_batch_edit_patch**](DefaultApi.md#api_messages_batch_edit_patch) | **PATCH** /api/messages/batch/edit | Edit a batch of entities.
[**api_messages_batch_edit_put**](DefaultApi.md#api_messages_batch_edit_put) | **PUT** /api/messages/batch/edit | Edit a batch of entities.
[**api_messages_batch_new_post**](DefaultApi.md#api_messages_batch_new_post) | **POST** /api/messages/batch/new | Create a batch of new entities.
[**api_messages_get**](DefaultApi.md#api_messages_get) | **GET** /api/messages | Obtains a list of entities as defined by the API URL.
[**api_messages_id_delete_delete**](DefaultApi.md#api_messages_id_delete_delete) | **DELETE** /api/messages/{id}/delete | Deletes an entity.
[**api_messages_id_edit_patch**](DefaultApi.md#api_messages_id_edit_patch) | **PATCH** /api/messages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_messages_id_edit_put**](DefaultApi.md#api_messages_id_edit_put) | **PUT** /api/messages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_messages_id_get**](DefaultApi.md#api_messages_id_get) | **GET** /api/messages/{id} | Obtains a specific entity as defined by the API URL.
[**api_messages_new_post**](DefaultApi.md#api_messages_new_post) | **POST** /api/messages/new | Creates a new entity.
[**api_notes_batch_delete_delete**](DefaultApi.md#api_notes_batch_delete_delete) | **DELETE** /api/notes/batch/delete | Delete a batch of entities.
[**api_notes_batch_edit_patch**](DefaultApi.md#api_notes_batch_edit_patch) | **PATCH** /api/notes/batch/edit | Edit a batch of entities.
[**api_notes_batch_edit_put**](DefaultApi.md#api_notes_batch_edit_put) | **PUT** /api/notes/batch/edit | Edit a batch of entities.
[**api_notes_batch_new_post**](DefaultApi.md#api_notes_batch_new_post) | **POST** /api/notes/batch/new | Create a batch of new entities.
[**api_notes_get**](DefaultApi.md#api_notes_get) | **GET** /api/notes | Obtains a list of entities as defined by the API URL.
[**api_notes_id_delete_delete**](DefaultApi.md#api_notes_id_delete_delete) | **DELETE** /api/notes/{id}/delete | Deletes an entity.
[**api_notes_id_edit_patch**](DefaultApi.md#api_notes_id_edit_patch) | **PATCH** /api/notes/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_notes_id_edit_put**](DefaultApi.md#api_notes_id_edit_put) | **PUT** /api/notes/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_notes_id_get**](DefaultApi.md#api_notes_id_get) | **GET** /api/notes/{id} | Obtains a specific entity as defined by the API URL.
[**api_notes_new_post**](DefaultApi.md#api_notes_new_post) | **POST** /api/notes/new | Creates a new entity.
[**api_notifications_batch_delete_delete**](DefaultApi.md#api_notifications_batch_delete_delete) | **DELETE** /api/notifications/batch/delete | Delete a batch of entities.
[**api_notifications_batch_edit_patch**](DefaultApi.md#api_notifications_batch_edit_patch) | **PATCH** /api/notifications/batch/edit | Edit a batch of entities.
[**api_notifications_batch_edit_put**](DefaultApi.md#api_notifications_batch_edit_put) | **PUT** /api/notifications/batch/edit | Edit a batch of entities.
[**api_notifications_batch_new_post**](DefaultApi.md#api_notifications_batch_new_post) | **POST** /api/notifications/batch/new | Create a batch of new entities.
[**api_notifications_get**](DefaultApi.md#api_notifications_get) | **GET** /api/notifications | Obtains a list of entities as defined by the API URL.
[**api_notifications_id_delete_delete**](DefaultApi.md#api_notifications_id_delete_delete) | **DELETE** /api/notifications/{id}/delete | Deletes an entity.
[**api_notifications_id_edit_patch**](DefaultApi.md#api_notifications_id_edit_patch) | **PATCH** /api/notifications/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_notifications_id_edit_put**](DefaultApi.md#api_notifications_id_edit_put) | **PUT** /api/notifications/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_notifications_id_get**](DefaultApi.md#api_notifications_id_get) | **GET** /api/notifications/{id} | Obtains a specific entity as defined by the API URL.
[**api_notifications_new_post**](DefaultApi.md#api_notifications_new_post) | **POST** /api/notifications/new | Creates a new entity.
[**api_pages_batch_delete_delete**](DefaultApi.md#api_pages_batch_delete_delete) | **DELETE** /api/pages/batch/delete | Delete a batch of entities.
[**api_pages_batch_edit_patch**](DefaultApi.md#api_pages_batch_edit_patch) | **PATCH** /api/pages/batch/edit | Edit a batch of entities.
[**api_pages_batch_edit_put**](DefaultApi.md#api_pages_batch_edit_put) | **PUT** /api/pages/batch/edit | Edit a batch of entities.
[**api_pages_batch_new_post**](DefaultApi.md#api_pages_batch_new_post) | **POST** /api/pages/batch/new | Create a batch of new entities.
[**api_pages_get**](DefaultApi.md#api_pages_get) | **GET** /api/pages | Obtains a list of pages.
[**api_pages_id_delete_delete**](DefaultApi.md#api_pages_id_delete_delete) | **DELETE** /api/pages/{id}/delete | Deletes an entity.
[**api_pages_id_edit_patch**](DefaultApi.md#api_pages_id_edit_patch) | **PATCH** /api/pages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_pages_id_edit_put**](DefaultApi.md#api_pages_id_edit_put) | **PUT** /api/pages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_pages_id_get**](DefaultApi.md#api_pages_id_get) | **GET** /api/pages/{id} | Obtains a specific entity as defined by the API URL.
[**api_pages_new_post**](DefaultApi.md#api_pages_new_post) | **POST** /api/pages/new | Creates a new entity.
[**api_points_actions_types_get**](DefaultApi.md#api_points_actions_types_get) | **GET** /api/points/actions/types | Return array of available point action types.
[**api_points_batch_delete_delete**](DefaultApi.md#api_points_batch_delete_delete) | **DELETE** /api/points/batch/delete | Delete a batch of entities.
[**api_points_batch_edit_patch**](DefaultApi.md#api_points_batch_edit_patch) | **PATCH** /api/points/batch/edit | Edit a batch of entities.
[**api_points_batch_edit_put**](DefaultApi.md#api_points_batch_edit_put) | **PUT** /api/points/batch/edit | Edit a batch of entities.
[**api_points_batch_new_post**](DefaultApi.md#api_points_batch_new_post) | **POST** /api/points/batch/new | Create a batch of new entities.
[**api_points_get**](DefaultApi.md#api_points_get) | **GET** /api/points | Obtains a list of entities as defined by the API URL.
[**api_points_id_delete_delete**](DefaultApi.md#api_points_id_delete_delete) | **DELETE** /api/points/{id}/delete | Deletes an entity.
[**api_points_id_edit_patch**](DefaultApi.md#api_points_id_edit_patch) | **PATCH** /api/points/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_points_id_edit_put**](DefaultApi.md#api_points_id_edit_put) | **PUT** /api/points/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_points_id_get**](DefaultApi.md#api_points_id_get) | **GET** /api/points/{id} | Obtains a specific entity as defined by the API URL.
[**api_points_new_post**](DefaultApi.md#api_points_new_post) | **POST** /api/points/new | Creates a new entity.
[**api_points_triggers_batch_delete_delete**](DefaultApi.md#api_points_triggers_batch_delete_delete) | **DELETE** /api/points/triggers/batch/delete | Delete a batch of entities.
[**api_points_triggers_batch_edit_patch**](DefaultApi.md#api_points_triggers_batch_edit_patch) | **PATCH** /api/points/triggers/batch/edit | Edit a batch of entities.
[**api_points_triggers_batch_edit_put**](DefaultApi.md#api_points_triggers_batch_edit_put) | **PUT** /api/points/triggers/batch/edit | Edit a batch of entities.
[**api_points_triggers_batch_new_post**](DefaultApi.md#api_points_triggers_batch_new_post) | **POST** /api/points/triggers/batch/new | Create a batch of new entities.
[**api_points_triggers_events_types_get**](DefaultApi.md#api_points_triggers_events_types_get) | **GET** /api/points/triggers/events/types | Return array of available point trigger event types.
[**api_points_triggers_get**](DefaultApi.md#api_points_triggers_get) | **GET** /api/points/triggers | Obtains a list of entities as defined by the API URL.
[**api_points_triggers_id_delete_delete**](DefaultApi.md#api_points_triggers_id_delete_delete) | **DELETE** /api/points/triggers/{id}/delete | Deletes an entity.
[**api_points_triggers_id_edit_patch**](DefaultApi.md#api_points_triggers_id_edit_patch) | **PATCH** /api/points/triggers/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_points_triggers_id_edit_put**](DefaultApi.md#api_points_triggers_id_edit_put) | **PUT** /api/points/triggers/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_points_triggers_id_get**](DefaultApi.md#api_points_triggers_id_get) | **GET** /api/points/triggers/{id} | Obtains a specific entity as defined by the API URL.
[**api_points_triggers_new_post**](DefaultApi.md#api_points_triggers_new_post) | **POST** /api/points/triggers/new | Creates a new entity.
[**api_points_triggers_trigger_id_events_delete_delete**](DefaultApi.md#api_points_triggers_trigger_id_events_delete_delete) | **DELETE** /api/points/triggers/{triggerId}/events/delete | Delete events from a point trigger.
[**api_reports_get**](DefaultApi.md#api_reports_get) | **GET** /api/reports | Obtains a list of entities as defined by the API URL.
[**api_reports_id_get**](DefaultApi.md#api_reports_id_get) | **GET** /api/reports/{id} | Obtains a compiled report.
[**api_roles_batch_delete_delete**](DefaultApi.md#api_roles_batch_delete_delete) | **DELETE** /api/roles/batch/delete | Delete a batch of entities.
[**api_roles_batch_edit_patch**](DefaultApi.md#api_roles_batch_edit_patch) | **PATCH** /api/roles/batch/edit | Edit a batch of entities.
[**api_roles_batch_edit_put**](DefaultApi.md#api_roles_batch_edit_put) | **PUT** /api/roles/batch/edit | Edit a batch of entities.
[**api_roles_batch_new_post**](DefaultApi.md#api_roles_batch_new_post) | **POST** /api/roles/batch/new | Create a batch of new entities.
[**api_roles_get**](DefaultApi.md#api_roles_get) | **GET** /api/roles | Obtains a list of entities as defined by the API URL.
[**api_roles_id_delete_delete**](DefaultApi.md#api_roles_id_delete_delete) | **DELETE** /api/roles/{id}/delete | Deletes an entity.
[**api_roles_id_edit_patch**](DefaultApi.md#api_roles_id_edit_patch) | **PATCH** /api/roles/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_roles_id_edit_put**](DefaultApi.md#api_roles_id_edit_put) | **PUT** /api/roles/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_roles_id_get**](DefaultApi.md#api_roles_id_get) | **GET** /api/roles/{id} | Obtains a specific entity as defined by the API URL.
[**api_roles_new_post**](DefaultApi.md#api_roles_new_post) | **POST** /api/roles/new | Creates a new entity.
[**api_segments_batch_delete_delete**](DefaultApi.md#api_segments_batch_delete_delete) | **DELETE** /api/segments/batch/delete | Delete a batch of entities.
[**api_segments_batch_edit_patch**](DefaultApi.md#api_segments_batch_edit_patch) | **PATCH** /api/segments/batch/edit | Edit a batch of entities.
[**api_segments_batch_edit_put**](DefaultApi.md#api_segments_batch_edit_put) | **PUT** /api/segments/batch/edit | Edit a batch of entities.
[**api_segments_batch_new_post**](DefaultApi.md#api_segments_batch_new_post) | **POST** /api/segments/batch/new | Create a batch of new entities.
[**api_segments_get**](DefaultApi.md#api_segments_get) | **GET** /api/segments | Obtains a list of entities as defined by the API URL.
[**api_segments_id_contact_lead_id_add_post**](DefaultApi.md#api_segments_id_contact_lead_id_add_post) | **POST** /api/segments/{id}/contact/{leadId}/add | Adds a lead to a list.
[**api_segments_id_contact_lead_id_remove_post**](DefaultApi.md#api_segments_id_contact_lead_id_remove_post) | **POST** /api/segments/{id}/contact/{leadId}/remove | Removes given contact from a list.
[**api_segments_id_contacts_add_post**](DefaultApi.md#api_segments_id_contacts_add_post) | **POST** /api/segments/{id}/contacts/add | Adds a leads to a list.
[**api_segments_id_delete_delete**](DefaultApi.md#api_segments_id_delete_delete) | **DELETE** /api/segments/{id}/delete | Deletes an entity.
[**api_segments_id_edit_patch**](DefaultApi.md#api_segments_id_edit_patch) | **PATCH** /api/segments/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_segments_id_edit_put**](DefaultApi.md#api_segments_id_edit_put) | **PUT** /api/segments/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_segments_id_get**](DefaultApi.md#api_segments_id_get) | **GET** /api/segments/{id} | Obtains a specific entity as defined by the API URL.
[**api_segments_new_post**](DefaultApi.md#api_segments_new_post) | **POST** /api/segments/new | Creates a new entity.
[**api_smses_batch_delete_delete**](DefaultApi.md#api_smses_batch_delete_delete) | **DELETE** /api/smses/batch/delete | Delete a batch of entities.
[**api_smses_batch_edit_patch**](DefaultApi.md#api_smses_batch_edit_patch) | **PATCH** /api/smses/batch/edit | Edit a batch of entities.
[**api_smses_batch_edit_put**](DefaultApi.md#api_smses_batch_edit_put) | **PUT** /api/smses/batch/edit | Edit a batch of entities.
[**api_smses_batch_new_post**](DefaultApi.md#api_smses_batch_new_post) | **POST** /api/smses/batch/new | Create a batch of new entities.
[**api_smses_get**](DefaultApi.md#api_smses_get) | **GET** /api/smses | Obtains a list of entities as defined by the API URL.
[**api_smses_id_contact_contact_id_send_get**](DefaultApi.md#api_smses_id_contact_contact_id_send_get) | **GET** /api/smses/{id}/contact/{contactId}/send | 
[**api_smses_id_delete_delete**](DefaultApi.md#api_smses_id_delete_delete) | **DELETE** /api/smses/{id}/delete | Deletes an entity.
[**api_smses_id_edit_patch**](DefaultApi.md#api_smses_id_edit_patch) | **PATCH** /api/smses/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_smses_id_edit_put**](DefaultApi.md#api_smses_id_edit_put) | **PUT** /api/smses/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_smses_id_get**](DefaultApi.md#api_smses_id_get) | **GET** /api/smses/{id} | Obtains a specific entity as defined by the API URL.
[**api_smses_new_post**](DefaultApi.md#api_smses_new_post) | **POST** /api/smses/new | Creates a new entity.
[**api_stages_batch_delete_delete**](DefaultApi.md#api_stages_batch_delete_delete) | **DELETE** /api/stages/batch/delete | Delete a batch of entities.
[**api_stages_batch_edit_patch**](DefaultApi.md#api_stages_batch_edit_patch) | **PATCH** /api/stages/batch/edit | Edit a batch of entities.
[**api_stages_batch_edit_put**](DefaultApi.md#api_stages_batch_edit_put) | **PUT** /api/stages/batch/edit | Edit a batch of entities.
[**api_stages_batch_new_post**](DefaultApi.md#api_stages_batch_new_post) | **POST** /api/stages/batch/new | Create a batch of new entities.
[**api_stages_get**](DefaultApi.md#api_stages_get) | **GET** /api/stages | Obtains a list of entities as defined by the API URL.
[**api_stages_id_contact_contact_id_add_post**](DefaultApi.md#api_stages_id_contact_contact_id_add_post) | **POST** /api/stages/{id}/contact/{contactId}/add | Adds a contact to a list.
[**api_stages_id_contact_contact_id_remove_post**](DefaultApi.md#api_stages_id_contact_contact_id_remove_post) | **POST** /api/stages/{id}/contact/{contactId}/remove | Removes given contact from a list.
[**api_stages_id_delete_delete**](DefaultApi.md#api_stages_id_delete_delete) | **DELETE** /api/stages/{id}/delete | Deletes an entity.
[**api_stages_id_edit_patch**](DefaultApi.md#api_stages_id_edit_patch) | **PATCH** /api/stages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_stages_id_edit_put**](DefaultApi.md#api_stages_id_edit_put) | **PUT** /api/stages/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_stages_id_get**](DefaultApi.md#api_stages_id_get) | **GET** /api/stages/{id} | Obtains a specific entity as defined by the API URL.
[**api_stages_new_post**](DefaultApi.md#api_stages_new_post) | **POST** /api/stages/new | Creates a new entity.
[**api_stats_table_get**](DefaultApi.md#api_stats_table_get) | **GET** /api/stats/{table} | Lists stats for a database table.
[**api_tags_batch_delete_delete**](DefaultApi.md#api_tags_batch_delete_delete) | **DELETE** /api/tags/batch/delete | Delete a batch of entities.
[**api_tags_batch_edit_patch**](DefaultApi.md#api_tags_batch_edit_patch) | **PATCH** /api/tags/batch/edit | Edit a batch of entities.
[**api_tags_batch_edit_put**](DefaultApi.md#api_tags_batch_edit_put) | **PUT** /api/tags/batch/edit | Edit a batch of entities.
[**api_tags_batch_new_post**](DefaultApi.md#api_tags_batch_new_post) | **POST** /api/tags/batch/new | Create a batch of new entities.
[**api_tags_get**](DefaultApi.md#api_tags_get) | **GET** /api/tags | Obtains a list of entities as defined by the API URL.
[**api_tags_id_delete_delete**](DefaultApi.md#api_tags_id_delete_delete) | **DELETE** /api/tags/{id}/delete | Deletes an entity.
[**api_tags_id_edit_patch**](DefaultApi.md#api_tags_id_edit_patch) | **PATCH** /api/tags/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_tags_id_edit_put**](DefaultApi.md#api_tags_id_edit_put) | **PUT** /api/tags/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_tags_id_get**](DefaultApi.md#api_tags_id_get) | **GET** /api/tags/{id} | Obtains a specific entity as defined by the API URL.
[**api_tags_new_post**](DefaultApi.md#api_tags_new_post) | **POST** /api/tags/new | Creates a new entity.
[**api_themes_get**](DefaultApi.md#api_themes_get) | **GET** /api/themes | List the folders (themes) in the /themes directory.
[**api_themes_new_post**](DefaultApi.md#api_themes_new_post) | **POST** /api/themes/new | Accepts the zip file and installs the theme from it.
[**api_themes_theme_delete_delete**](DefaultApi.md#api_themes_theme_delete_delete) | **DELETE** /api/themes/{theme}/delete | Delete a theme.
[**api_themes_theme_get**](DefaultApi.md#api_themes_theme_get) | **GET** /api/themes/{theme} | Get zip file of a theme.
[**api_tweets_batch_delete_delete**](DefaultApi.md#api_tweets_batch_delete_delete) | **DELETE** /api/tweets/batch/delete | Delete a batch of entities.
[**api_tweets_batch_edit_patch**](DefaultApi.md#api_tweets_batch_edit_patch) | **PATCH** /api/tweets/batch/edit | Edit a batch of entities.
[**api_tweets_batch_edit_put**](DefaultApi.md#api_tweets_batch_edit_put) | **PUT** /api/tweets/batch/edit | Edit a batch of entities.
[**api_tweets_batch_new_post**](DefaultApi.md#api_tweets_batch_new_post) | **POST** /api/tweets/batch/new | Create a batch of new entities.
[**api_tweets_get**](DefaultApi.md#api_tweets_get) | **GET** /api/tweets | Obtains a list of entities as defined by the API URL.
[**api_tweets_id_delete_delete**](DefaultApi.md#api_tweets_id_delete_delete) | **DELETE** /api/tweets/{id}/delete | Deletes an entity.
[**api_tweets_id_edit_patch**](DefaultApi.md#api_tweets_id_edit_patch) | **PATCH** /api/tweets/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_tweets_id_edit_put**](DefaultApi.md#api_tweets_id_edit_put) | **PUT** /api/tweets/{id}/edit | Edits an existing entity or creates one on PUT if it doesn&#39;t exist.
[**api_tweets_id_get**](DefaultApi.md#api_tweets_id_get) | **GET** /api/tweets/{id} | Obtains a specific entity as defined by the API URL.
[**api_tweets_new_post**](DefaultApi.md#api_tweets_new_post) | **POST** /api/tweets/new | Creates a new entity.
[**api_users_batch_delete_delete**](DefaultApi.md#api_users_batch_delete_delete) | **DELETE** /api/users/batch/delete | Delete a batch of entities.
[**api_users_batch_edit_patch**](DefaultApi.md#api_users_batch_edit_patch) | **PATCH** /api/users/batch/edit | Edit a batch of entities.
[**api_users_batch_edit_put**](DefaultApi.md#api_users_batch_edit_put) | **PUT** /api/users/batch/edit | Edit a batch of entities.
[**api_users_batch_new_post**](DefaultApi.md#api_users_batch_new_post) | **POST** /api/users/batch/new | Create a batch of new entities.
[**api_users_get**](DefaultApi.md#api_users_get) | **GET** /api/users | Obtains a list of entities as defined by the API URL.
[**api_users_id_delete_delete**](DefaultApi.md#api_users_id_delete_delete) | **DELETE** /api/users/{id}/delete | Deletes an entity.
[**api_users_id_edit_patch**](DefaultApi.md#api_users_id_edit_patch) | **PATCH** /api/users/{id}/edit | Edits an existing user or creates a new one on PUT if not found.
[**api_users_id_edit_put**](DefaultApi.md#api_users_id_edit_put) | **PUT** /api/users/{id}/edit | Edits an existing user or creates a new one on PUT if not found.
[**api_users_id_get**](DefaultApi.md#api_users_id_get) | **GET** /api/users/{id} | Obtains a specific entity as defined by the API URL.
[**api_users_id_permissioncheck_post**](DefaultApi.md#api_users_id_permissioncheck_post) | **POST** /api/users/{id}/permissioncheck | Verifies if a user has permission(s) to a action.
[**api_users_list_roles_get**](DefaultApi.md#api_users_list_roles_get) | **GET** /api/users/list/roles | Obtains a list of roles for user edits.
[**api_users_new_post**](DefaultApi.md#api_users_new_post) | **POST** /api/users/new | Creates a new user.
[**api_users_self_get**](DefaultApi.md#api_users_self_get) | **GET** /api/users/self | Obtains the logged in user&#39;s data.


# **api_assets_batch_delete_delete**
> api_assets_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_assets_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_assets_batch_edit_patch**
> api_assets_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_assets_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_assets_batch_edit_put**
> api_assets_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_assets_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_assets_batch_new_post**
> api_assets_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_assets_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_assets_get**
> api_assets_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_assets_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_assets_id_delete_delete**
> api_assets_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_assets_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_assets_id_edit_patch**
> api_assets_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_assets_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_assets_id_edit_put**
> api_assets_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_assets_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_assets_id_get**
> api_assets_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_assets_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_assets_new_post**
> api_assets_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_assets_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_assets_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_batch_delete_delete**
> api_campaigns_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_campaigns_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_batch_edit_patch**
> api_campaigns_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_campaigns_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_batch_edit_put**
> api_campaigns_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_campaigns_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_batch_new_post**
> api_campaigns_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_campaigns_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_campaign_id_events_contact_contact_id_get**
> api_campaigns_campaign_id_events_contact_contact_id_get(campaign_id, contact_id)

Get a list of events.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

campaign_id = 'campaign_id_example' # String | 

contact_id = 'contact_id_example' # String | 


begin
  #Get a list of events.
  api_instance.api_campaigns_campaign_id_events_contact_contact_id_get(campaign_id, contact_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_campaign_id_events_contact_contact_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **campaign_id** | **String**|  | 
 **contact_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_clone_campaign_id_post**
> api_campaigns_clone_campaign_id_post(campaign_id)



### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

campaign_id = 'campaign_id_example' # String | 


begin
  api_instance.api_campaigns_clone_campaign_id_post(campaign_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_clone_campaign_id_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **campaign_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_events_batch_edit_put**
> api_campaigns_events_batch_edit_put



### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  api_instance.api_campaigns_events_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_events_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_events_contact_contact_id_get**
> api_campaigns_events_contact_contact_id_get(contact_id)

Get a list of events.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

contact_id = 'contact_id_example' # String | 


begin
  #Get a list of events.
  api_instance.api_campaigns_events_contact_contact_id_get(contact_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_events_contact_contact_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **contact_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_events_event_id_contact_contact_id_edit_put**
> api_campaigns_events_event_id_contact_contact_id_edit_put(event_id, contact_id)



### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

event_id = 'event_id_example' # String | 

contact_id = 'contact_id_example' # String | 


begin
  api_instance.api_campaigns_events_event_id_contact_contact_id_edit_put(event_id, contact_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_events_event_id_contact_contact_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **event_id** | **String**|  | 
 **contact_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_events_get**
> api_campaigns_events_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_campaigns_events_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_events_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_events_id_get**
> api_campaigns_events_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_campaigns_events_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_events_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_get**
> api_campaigns_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_campaigns_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_id_contact_lead_id_add_post**
> api_campaigns_id_contact_lead_id_add_post(id, lead_id)

Adds a lead to a campaign.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

lead_id = 'lead_id_example' # String | 


begin
  #Adds a lead to a campaign.
  api_instance.api_campaigns_id_contact_lead_id_add_post(id, lead_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_id_contact_lead_id_add_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **lead_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_id_contact_lead_id_remove_post**
> api_campaigns_id_contact_lead_id_remove_post(id, lead_id)

Removes given lead from a campaign.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

lead_id = 'lead_id_example' # String | 


begin
  #Removes given lead from a campaign.
  api_instance.api_campaigns_id_contact_lead_id_remove_post(id, lead_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_id_contact_lead_id_remove_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **lead_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_id_contacts_get**
> api_campaigns_id_contacts_get(id)

Obtains a list of campaign contacts.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a list of campaign contacts.
  api_instance.api_campaigns_id_contacts_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_id_contacts_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_id_delete_delete**
> api_campaigns_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_campaigns_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_id_edit_patch**
> api_campaigns_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_campaigns_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_id_edit_put**
> api_campaigns_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_campaigns_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_id_get**
> api_campaigns_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_campaigns_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_campaigns_new_post**
> api_campaigns_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_campaigns_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_campaigns_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_batch_delete_delete**
> api_categories_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_categories_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_batch_edit_patch**
> api_categories_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_categories_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_batch_edit_put**
> api_categories_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_categories_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_batch_new_post**
> api_categories_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_categories_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_get**
> api_categories_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_categories_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_id_delete_delete**
> api_categories_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_categories_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_id_edit_patch**
> api_categories_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_categories_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_id_edit_put**
> api_categories_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_categories_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_id_get**
> api_categories_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_categories_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_categories_new_post**
> api_categories_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_categories_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_categories_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_batch_delete_delete**
> api_companies_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_companies_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_batch_edit_patch**
> api_companies_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_companies_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_batch_edit_put**
> api_companies_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_companies_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_batch_new_post**
> api_companies_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_companies_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_company_id_contact_contact_id_add_post**
> api_companies_company_id_contact_contact_id_add_post(company_id, contact_id)

Adds a contact to a company.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

company_id = 'company_id_example' # String | 

contact_id = 'contact_id_example' # String | 


begin
  #Adds a contact to a company.
  api_instance.api_companies_company_id_contact_contact_id_add_post(company_id, contact_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_company_id_contact_contact_id_add_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **company_id** | **String**|  | 
 **contact_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_company_id_contact_contact_id_remove_post**
> api_companies_company_id_contact_contact_id_remove_post(company_id, contact_id)

Removes given contact from a company.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

company_id = 'company_id_example' # String | 

contact_id = 'contact_id_example' # String | 


begin
  #Removes given contact from a company.
  api_instance.api_companies_company_id_contact_contact_id_remove_post(company_id, contact_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_company_id_contact_contact_id_remove_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **company_id** | **String**|  | 
 **contact_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_get**
> api_companies_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_companies_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_id_delete_delete**
> api_companies_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_companies_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_id_edit_patch**
> api_companies_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_companies_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_id_edit_put**
> api_companies_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_companies_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_id_get**
> api_companies_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_companies_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_companies_new_post**
> api_companies_new_post

If an existing company is matched, it'll be merged. Otherwise it'll be created.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #If an existing company is matched, it'll be merged. Otherwise it'll be created.
  api_instance.api_companies_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_companies_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_activity_get**
> api_contacts_activity_get

Obtains a list of contact events.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of contact events.
  api_instance.api_contacts_activity_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_activity_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_batch_delete_delete**
> api_contacts_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_contacts_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_batch_edit_patch**
> api_contacts_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_contacts_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_batch_edit_put**
> api_contacts_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_contacts_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_batch_new_post**
> api_contacts_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_contacts_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_get**
> api_contacts_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_contacts_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_activity_get**
> api_contacts_id_activity_get(id)

Obtains a list of contact events.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a list of contact events.
  api_instance.api_contacts_id_activity_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_activity_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_campaigns_get**
> api_contacts_id_campaigns_get(id)

Obtains a list of campaigns the lead is part of.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a list of campaigns the lead is part of.
  api_instance.api_contacts_id_campaigns_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_campaigns_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_companies_get**
> api_contacts_id_companies_get(id)

Obtains a list of contact companies the contact is in.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a list of contact companies the contact is in.
  api_instance.api_contacts_id_companies_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_companies_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_delete_delete**
> api_contacts_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_contacts_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_devices_get**
> api_contacts_id_devices_get(id)

Obtains a list of devices on a specific lead.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a list of devices on a specific lead.
  api_instance.api_contacts_id_devices_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_devices_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_dnc_channel_add_post**
> api_contacts_id_dnc_channel_add_post(id, channel)

Adds a DNC to the contact.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

channel = 'channel_example' # String | 


begin
  #Adds a DNC to the contact.
  api_instance.api_contacts_id_dnc_channel_add_post(id, channel)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_dnc_channel_add_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **channel** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_dnc_channel_remove_post**
> api_contacts_id_dnc_channel_remove_post(id, channel)

Removes a DNC from the contact.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

channel = 'channel_example' # String | 


begin
  #Removes a DNC from the contact.
  api_instance.api_contacts_id_dnc_channel_remove_post(id, channel)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_dnc_channel_remove_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **channel** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_edit_patch**
> api_contacts_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_contacts_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_edit_put**
> api_contacts_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_contacts_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_get**
> api_contacts_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_contacts_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_notes_get**
> api_contacts_id_notes_get(id)

Obtains a list of notes on a specific lead.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a list of notes on a specific lead.
  api_instance.api_contacts_id_notes_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_notes_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_segments_get**
> api_contacts_id_segments_get(id)

Obtains a list of contact segments the contact is in.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a list of contact segments the contact is in.
  api_instance.api_contacts_id_segments_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_segments_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_utm_add_post**
> api_contacts_id_utm_add_post(id)

Adds a UTM Tagset to the contact.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Adds a UTM Tagset to the contact.
  api_instance.api_contacts_id_utm_add_post(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_utm_add_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_id_utm_utmid_remove_post**
> api_contacts_id_utm_utmid_remove_post(id, utmid)

Remove a UTM Tagset for the contact.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

utmid = 'utmid_example' # String | 


begin
  #Remove a UTM Tagset for the contact.
  api_instance.api_contacts_id_utm_utmid_remove_post(id, utmid)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_id_utm_utmid_remove_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **utmid** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_lead_id_points_operator_delta_post**
> api_contacts_lead_id_points_operator_delta_post(lead_id, operator, delta)

Subtract points from a lead.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

lead_id = 'lead_id_example' # String | 

operator = 'operator_example' # String | 

delta = 'delta_example' # String | 


begin
  #Subtract points from a lead.
  api_instance.api_contacts_lead_id_points_operator_delta_post(lead_id, operator, delta)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_lead_id_points_operator_delta_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lead_id** | **String**|  | 
 **operator** | **String**|  | 
 **delta** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_list_fields_get**
> api_contacts_list_fields_get

Obtains a list of custom fields.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of custom fields.
  api_instance.api_contacts_list_fields_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_list_fields_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_list_owners_get**
> api_contacts_list_owners_get

Obtains a list of users for lead owner edits.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of users for lead owner edits.
  api_instance.api_contacts_list_owners_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_list_owners_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_list_segments_get**
> api_contacts_list_segments_get

Obtains a list of smart lists for the user.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of smart lists for the user.
  api_instance.api_contacts_list_segments_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_list_segments_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_contacts_new_post**
> api_contacts_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_contacts_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_contacts_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_data_get**
> api_data_get

Obtains a list of available widget types.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of available widget types.
  api_instance.api_data_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_data_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_data_type_get**
> api_data_type_get(type)

Obtains a list of available widget types.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

type = 'type_example' # String | 


begin
  #Obtains a list of available widget types.
  api_instance.api_data_type_get(type)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_data_type_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **type** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_batch_delete_delete**
> api_devices_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_devices_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_batch_edit_patch**
> api_devices_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_devices_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_batch_edit_put**
> api_devices_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_devices_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_batch_new_post**
> api_devices_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_devices_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_get**
> api_devices_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_devices_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_id_delete_delete**
> api_devices_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_devices_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_id_edit_patch**
> api_devices_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_devices_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_id_edit_put**
> api_devices_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_devices_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_id_get**
> api_devices_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_devices_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_devices_new_post**
> api_devices_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_devices_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_devices_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_batch_delete_delete**
> api_dynamiccontents_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_dynamiccontents_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_batch_edit_patch**
> api_dynamiccontents_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_dynamiccontents_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_batch_edit_put**
> api_dynamiccontents_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_dynamiccontents_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_batch_new_post**
> api_dynamiccontents_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_dynamiccontents_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_get**
> api_dynamiccontents_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_dynamiccontents_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_id_delete_delete**
> api_dynamiccontents_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_dynamiccontents_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_id_edit_patch**
> api_dynamiccontents_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_dynamiccontents_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_id_edit_put**
> api_dynamiccontents_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_dynamiccontents_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_id_get**
> api_dynamiccontents_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_dynamiccontents_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_dynamiccontents_new_post**
> api_dynamiccontents_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_dynamiccontents_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_dynamiccontents_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_batch_delete_delete**
> api_emails_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_emails_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_batch_edit_patch**
> api_emails_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_emails_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_batch_edit_put**
> api_emails_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_emails_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_batch_new_post**
> api_emails_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_emails_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_get**
> api_emails_get

Obtains a list of emails.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of emails.
  api_instance.api_emails_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_id_contact_lead_id_send_post**
> api_emails_id_contact_lead_id_send_post(id, lead_id)

Sends the email to a specific lead.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

lead_id = 'lead_id_example' # String | 


begin
  #Sends the email to a specific lead.
  api_instance.api_emails_id_contact_lead_id_send_post(id, lead_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_id_contact_lead_id_send_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **lead_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_id_delete_delete**
> api_emails_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_emails_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_id_edit_patch**
> api_emails_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_emails_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_id_edit_put**
> api_emails_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_emails_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_id_get**
> api_emails_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_emails_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_id_send_post**
> api_emails_id_send_post(id)

Sends the email to it's assigned lists.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Sends the email to it's assigned lists.
  api_instance.api_emails_id_send_post(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_id_send_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_emails_new_post**
> api_emails_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_emails_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_emails_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_batch_delete_delete**
> api_fields_object_batch_delete_delete(object)

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 


begin
  #Delete a batch of entities.
  api_instance.api_fields_object_batch_delete_delete(object)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_batch_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_batch_edit_patch**
> api_fields_object_batch_edit_patch(object)

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 


begin
  #Edit a batch of entities.
  api_instance.api_fields_object_batch_edit_patch(object)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_batch_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_batch_edit_put**
> api_fields_object_batch_edit_put(object)

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 


begin
  #Edit a batch of entities.
  api_instance.api_fields_object_batch_edit_put(object)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_batch_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_batch_new_post**
> api_fields_object_batch_new_post(object)

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 


begin
  #Create a batch of new entities.
  api_instance.api_fields_object_batch_new_post(object)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_batch_new_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_get**
> api_fields_object_get(object)

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 


begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_fields_object_get(object)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_id_delete_delete**
> api_fields_object_id_delete_delete(object, id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_fields_object_id_delete_delete(object, id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_id_edit_patch**
> api_fields_object_id_edit_patch(object, id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_fields_object_id_edit_patch(object, id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_id_edit_put**
> api_fields_object_id_edit_put(object, id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_fields_object_id_edit_put(object, id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_id_get**
> api_fields_object_id_get(object, id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_fields_object_id_get(object, id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_fields_object_new_post**
> api_fields_object_new_post(object)

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

object = 'object_example' # String | 


begin
  #Creates a new entity.
  api_instance.api_fields_object_new_post(object)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_fields_object_new_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **object** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_files_dir_file_delete_delete**
> api_files_dir_file_delete_delete(dir, file)

Delete a file from /media directory.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

dir = 'dir_example' # String | 

file = 'file_example' # String | 


begin
  #Delete a file from /media directory.
  api_instance.api_files_dir_file_delete_delete(dir, file)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_files_dir_file_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dir** | **String**|  | 
 **file** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_files_dir_get**
> api_files_dir_get(dir)

List the files in /media directory.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

dir = 'dir_example' # String | 


begin
  #List the files in /media directory.
  api_instance.api_files_dir_get(dir)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_files_dir_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dir** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_files_dir_new_post**
> api_files_dir_new_post(dir)

Uploads a file.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

dir = 'dir_example' # String | 


begin
  #Uploads a file.
  api_instance.api_files_dir_new_post(dir)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_files_dir_new_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dir** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_batch_delete_delete**
> api_focus_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_focus_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_batch_edit_patch**
> api_focus_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_focus_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_batch_edit_put**
> api_focus_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_focus_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_batch_new_post**
> api_focus_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_focus_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_get**
> api_focus_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_focus_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_id_delete_delete**
> api_focus_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_focus_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_id_edit_patch**
> api_focus_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_focus_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_id_edit_put**
> api_focus_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_focus_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_id_get**
> api_focus_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_focus_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_id_js_post**
> api_focus_id_js_post(id)



### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  api_instance.api_focus_id_js_post(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_id_js_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_focus_new_post**
> api_focus_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_focus_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_focus_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_batch_delete_delete**
> api_forms_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_forms_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_batch_edit_patch**
> api_forms_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_forms_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_batch_edit_put**
> api_forms_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_forms_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_batch_new_post**
> api_forms_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_forms_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_form_id_actions_delete_delete**
> api_forms_form_id_actions_delete_delete(form_id)

Delete fields from a form.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

form_id = 'form_id_example' # String | 


begin
  #Delete fields from a form.
  api_instance.api_forms_form_id_actions_delete_delete(form_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_form_id_actions_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **form_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_form_id_fields_delete_delete**
> api_forms_form_id_fields_delete_delete(form_id)

Delete fields from a form.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

form_id = 'form_id_example' # String | 


begin
  #Delete fields from a form.
  api_instance.api_forms_form_id_fields_delete_delete(form_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_form_id_fields_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **form_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_form_id_submissions_contact_contact_id_get**
> api_forms_form_id_submissions_contact_contact_id_get(form_id, contact_id)

Obtains a list of entities for specific form and contact.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

form_id = 'form_id_example' # String | 

contact_id = 'contact_id_example' # String | 


begin
  #Obtains a list of entities for specific form and contact.
  api_instance.api_forms_form_id_submissions_contact_contact_id_get(form_id, contact_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_form_id_submissions_contact_contact_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **form_id** | **String**|  | 
 **contact_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_form_id_submissions_get**
> api_forms_form_id_submissions_get(form_id)

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

form_id = 'form_id_example' # String | 


begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_forms_form_id_submissions_get(form_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_form_id_submissions_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **form_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_form_id_submissions_submission_id_get**
> api_forms_form_id_submissions_submission_id_get(form_id, submission_id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

form_id = 'form_id_example' # String | 

submission_id = 'submission_id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_forms_form_id_submissions_submission_id_get(form_id, submission_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_form_id_submissions_submission_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **form_id** | **String**|  | 
 **submission_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_get**
> api_forms_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_forms_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_id_delete_delete**
> api_forms_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_forms_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_id_edit_patch**
> api_forms_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_forms_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_id_edit_put**
> api_forms_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_forms_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_id_get**
> api_forms_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_forms_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_forms_new_post**
> api_forms_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_forms_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_forms_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_batch_delete_delete**
> api_hooks_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_hooks_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_batch_edit_patch**
> api_hooks_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_hooks_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_batch_edit_put**
> api_hooks_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_hooks_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_batch_new_post**
> api_hooks_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_hooks_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_get**
> api_hooks_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_hooks_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_id_delete_delete**
> api_hooks_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_hooks_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_id_edit_patch**
> api_hooks_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_hooks_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_id_edit_put**
> api_hooks_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_hooks_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_id_get**
> api_hooks_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_hooks_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_new_post**
> api_hooks_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_hooks_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_hooks_triggers_get**
> api_hooks_triggers_get



### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  api_instance.api_hooks_triggers_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_hooks_triggers_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_batch_delete_delete**
> api_messages_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_messages_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_batch_edit_patch**
> api_messages_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_messages_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_batch_edit_put**
> api_messages_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_messages_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_batch_new_post**
> api_messages_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_messages_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_get**
> api_messages_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_messages_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_id_delete_delete**
> api_messages_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_messages_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_id_edit_patch**
> api_messages_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_messages_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_id_edit_put**
> api_messages_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_messages_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_id_get**
> api_messages_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_messages_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_messages_new_post**
> api_messages_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_messages_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_messages_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_batch_delete_delete**
> api_notes_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_notes_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_batch_edit_patch**
> api_notes_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_notes_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_batch_edit_put**
> api_notes_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_notes_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_batch_new_post**
> api_notes_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_notes_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_get**
> api_notes_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_notes_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_id_delete_delete**
> api_notes_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_notes_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_id_edit_patch**
> api_notes_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_notes_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_id_edit_put**
> api_notes_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_notes_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_id_get**
> api_notes_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_notes_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notes_new_post**
> api_notes_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_notes_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notes_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_batch_delete_delete**
> api_notifications_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_notifications_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_batch_edit_patch**
> api_notifications_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_notifications_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_batch_edit_put**
> api_notifications_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_notifications_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_batch_new_post**
> api_notifications_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_notifications_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_get**
> api_notifications_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_notifications_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_id_delete_delete**
> api_notifications_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_notifications_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_id_edit_patch**
> api_notifications_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_notifications_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_id_edit_put**
> api_notifications_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_notifications_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_id_get**
> api_notifications_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_notifications_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_notifications_new_post**
> api_notifications_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_notifications_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_notifications_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_batch_delete_delete**
> api_pages_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_pages_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_batch_edit_patch**
> api_pages_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_pages_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_batch_edit_put**
> api_pages_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_pages_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_batch_new_post**
> api_pages_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_pages_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_get**
> api_pages_get

Obtains a list of pages.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of pages.
  api_instance.api_pages_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_id_delete_delete**
> api_pages_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_pages_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_id_edit_patch**
> api_pages_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_pages_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_id_edit_put**
> api_pages_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_pages_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_id_get**
> api_pages_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_pages_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_pages_new_post**
> api_pages_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_pages_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_pages_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_actions_types_get**
> api_points_actions_types_get

Return array of available point action types.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Return array of available point action types.
  api_instance.api_points_actions_types_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_actions_types_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_batch_delete_delete**
> api_points_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_points_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_batch_edit_patch**
> api_points_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_points_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_batch_edit_put**
> api_points_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_points_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_batch_new_post**
> api_points_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_points_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_get**
> api_points_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_points_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_id_delete_delete**
> api_points_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_points_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_id_edit_patch**
> api_points_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_points_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_id_edit_put**
> api_points_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_points_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_id_get**
> api_points_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_points_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_new_post**
> api_points_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_points_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_batch_delete_delete**
> api_points_triggers_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_points_triggers_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_batch_edit_patch**
> api_points_triggers_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_points_triggers_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_batch_edit_put**
> api_points_triggers_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_points_triggers_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_batch_new_post**
> api_points_triggers_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_points_triggers_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_events_types_get**
> api_points_triggers_events_types_get

Return array of available point trigger event types.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Return array of available point trigger event types.
  api_instance.api_points_triggers_events_types_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_events_types_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_get**
> api_points_triggers_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_points_triggers_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_id_delete_delete**
> api_points_triggers_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_points_triggers_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_id_edit_patch**
> api_points_triggers_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_points_triggers_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_id_edit_put**
> api_points_triggers_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_points_triggers_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_id_get**
> api_points_triggers_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_points_triggers_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_new_post**
> api_points_triggers_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_points_triggers_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_points_triggers_trigger_id_events_delete_delete**
> api_points_triggers_trigger_id_events_delete_delete(trigger_id)

Delete events from a point trigger.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

trigger_id = 'trigger_id_example' # String | 


begin
  #Delete events from a point trigger.
  api_instance.api_points_triggers_trigger_id_events_delete_delete(trigger_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_points_triggers_trigger_id_events_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trigger_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_reports_get**
> api_reports_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_reports_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_reports_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_reports_id_get**
> api_reports_id_get(id)

Obtains a compiled report.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a compiled report.
  api_instance.api_reports_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_reports_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_batch_delete_delete**
> api_roles_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_roles_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_batch_edit_patch**
> api_roles_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_roles_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_batch_edit_put**
> api_roles_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_roles_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_batch_new_post**
> api_roles_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_roles_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_get**
> api_roles_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_roles_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_id_delete_delete**
> api_roles_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_roles_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_id_edit_patch**
> api_roles_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_roles_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_id_edit_put**
> api_roles_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_roles_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_id_get**
> api_roles_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_roles_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_roles_new_post**
> api_roles_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_roles_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_roles_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_batch_delete_delete**
> api_segments_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_segments_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_batch_edit_patch**
> api_segments_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_segments_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_batch_edit_put**
> api_segments_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_segments_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_batch_new_post**
> api_segments_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_segments_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_get**
> api_segments_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_segments_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_id_contact_lead_id_add_post**
> api_segments_id_contact_lead_id_add_post(id, lead_id)

Adds a lead to a list.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

lead_id = 'lead_id_example' # String | 


begin
  #Adds a lead to a list.
  api_instance.api_segments_id_contact_lead_id_add_post(id, lead_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_id_contact_lead_id_add_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **lead_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_id_contact_lead_id_remove_post**
> api_segments_id_contact_lead_id_remove_post(id, lead_id)

Removes given contact from a list.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

lead_id = 'lead_id_example' # String | 


begin
  #Removes given contact from a list.
  api_instance.api_segments_id_contact_lead_id_remove_post(id, lead_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_id_contact_lead_id_remove_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **lead_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_id_contacts_add_post**
> api_segments_id_contacts_add_post(id)

Adds a leads to a list.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Adds a leads to a list.
  api_instance.api_segments_id_contacts_add_post(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_id_contacts_add_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_id_delete_delete**
> api_segments_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_segments_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_id_edit_patch**
> api_segments_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_segments_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_id_edit_put**
> api_segments_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_segments_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_id_get**
> api_segments_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_segments_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_segments_new_post**
> api_segments_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_segments_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_segments_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_batch_delete_delete**
> api_smses_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_smses_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_batch_edit_patch**
> api_smses_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_smses_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_batch_edit_put**
> api_smses_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_smses_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_batch_new_post**
> api_smses_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_smses_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_get**
> api_smses_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_smses_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_id_contact_contact_id_send_get**
> api_smses_id_contact_contact_id_send_get(id, contact_id)



### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

contact_id = 'contact_id_example' # String | 


begin
  api_instance.api_smses_id_contact_contact_id_send_get(id, contact_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_id_contact_contact_id_send_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **contact_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_id_delete_delete**
> api_smses_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_smses_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_id_edit_patch**
> api_smses_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_smses_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_id_edit_put**
> api_smses_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_smses_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_id_get**
> api_smses_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_smses_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_smses_new_post**
> api_smses_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_smses_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_smses_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_batch_delete_delete**
> api_stages_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_stages_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_batch_edit_patch**
> api_stages_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_stages_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_batch_edit_put**
> api_stages_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_stages_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_batch_new_post**
> api_stages_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_stages_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_get**
> api_stages_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_stages_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_id_contact_contact_id_add_post**
> api_stages_id_contact_contact_id_add_post(id, contact_id)

Adds a contact to a list.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

contact_id = 'contact_id_example' # String | 


begin
  #Adds a contact to a list.
  api_instance.api_stages_id_contact_contact_id_add_post(id, contact_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_id_contact_contact_id_add_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **contact_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_id_contact_contact_id_remove_post**
> api_stages_id_contact_contact_id_remove_post(id, contact_id)

Removes given contact from a list.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 

contact_id = 'contact_id_example' # String | 


begin
  #Removes given contact from a list.
  api_instance.api_stages_id_contact_contact_id_remove_post(id, contact_id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_id_contact_contact_id_remove_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **contact_id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_id_delete_delete**
> api_stages_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_stages_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_id_edit_patch**
> api_stages_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_stages_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_id_edit_put**
> api_stages_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_stages_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_id_get**
> api_stages_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_stages_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stages_new_post**
> api_stages_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_stages_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stages_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_stats_table_get**
> api_stats_table_get(table)

Lists stats for a database table.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

table = 'table_example' # String | 


begin
  #Lists stats for a database table.
  api_instance.api_stats_table_get(table)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_stats_table_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **table** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_batch_delete_delete**
> api_tags_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_tags_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_batch_edit_patch**
> api_tags_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_tags_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_batch_edit_put**
> api_tags_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_tags_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_batch_new_post**
> api_tags_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_tags_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_get**
> api_tags_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_tags_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_id_delete_delete**
> api_tags_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_tags_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_id_edit_patch**
> api_tags_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_tags_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_id_edit_put**
> api_tags_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_tags_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_id_get**
> api_tags_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_tags_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tags_new_post**
> api_tags_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_tags_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tags_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_themes_get**
> api_themes_get

List the folders (themes) in the /themes directory.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #List the folders (themes) in the /themes directory.
  api_instance.api_themes_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_themes_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_themes_new_post**
> api_themes_new_post

Accepts the zip file and installs the theme from it.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Accepts the zip file and installs the theme from it.
  api_instance.api_themes_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_themes_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_themes_theme_delete_delete**
> api_themes_theme_delete_delete(theme)

Delete a theme.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

theme = 'theme_example' # String | 


begin
  #Delete a theme.
  api_instance.api_themes_theme_delete_delete(theme)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_themes_theme_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **theme** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_themes_theme_get**
> api_themes_theme_get(theme)

Get zip file of a theme.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

theme = 'theme_example' # String | 


begin
  #Get zip file of a theme.
  api_instance.api_themes_theme_get(theme)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_themes_theme_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **theme** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_batch_delete_delete**
> api_tweets_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_tweets_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_batch_edit_patch**
> api_tweets_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_tweets_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_batch_edit_put**
> api_tweets_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_tweets_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_batch_new_post**
> api_tweets_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_tweets_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_get**
> api_tweets_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_tweets_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_id_delete_delete**
> api_tweets_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_tweets_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_id_edit_patch**
> api_tweets_id_edit_patch(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_tweets_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_id_edit_put**
> api_tweets_id_edit_put(id)

Edits an existing entity or creates one on PUT if it doesn't exist.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing entity or creates one on PUT if it doesn't exist.
  api_instance.api_tweets_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_id_get**
> api_tweets_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_tweets_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_tweets_new_post**
> api_tweets_new_post

Creates a new entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new entity.
  api_instance.api_tweets_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_tweets_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_batch_delete_delete**
> api_users_batch_delete_delete

Delete a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Delete a batch of entities.
  api_instance.api_users_batch_delete_delete
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_batch_delete_delete: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_batch_edit_patch**
> api_users_batch_edit_patch

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_users_batch_edit_patch
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_batch_edit_patch: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_batch_edit_put**
> api_users_batch_edit_put

Edit a batch of entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Edit a batch of entities.
  api_instance.api_users_batch_edit_put
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_batch_edit_put: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_batch_new_post**
> api_users_batch_new_post

Create a batch of new entities.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Create a batch of new entities.
  api_instance.api_users_batch_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_batch_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_get**
> api_users_get

Obtains a list of entities as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of entities as defined by the API URL.
  api_instance.api_users_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_id_delete_delete**
> api_users_id_delete_delete(id)

Deletes an entity.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Deletes an entity.
  api_instance.api_users_id_delete_delete(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_id_delete_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_id_edit_patch**
> api_users_id_edit_patch(id)

Edits an existing user or creates a new one on PUT if not found.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing user or creates a new one on PUT if not found.
  api_instance.api_users_id_edit_patch(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_id_edit_patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_id_edit_put**
> api_users_id_edit_put(id)

Edits an existing user or creates a new one on PUT if not found.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Edits an existing user or creates a new one on PUT if not found.
  api_instance.api_users_id_edit_put(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_id_edit_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_id_get**
> api_users_id_get(id)

Obtains a specific entity as defined by the API URL.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Obtains a specific entity as defined by the API URL.
  api_instance.api_users_id_get(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_id_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_id_permissioncheck_post**
> api_users_id_permissioncheck_post(id)

Verifies if a user has permission(s) to a action.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

id = 'id_example' # String | 


begin
  #Verifies if a user has permission(s) to a action.
  api_instance.api_users_id_permissioncheck_post(id)
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_id_permissioncheck_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_list_roles_get**
> api_users_list_roles_get

Obtains a list of roles for user edits.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains a list of roles for user edits.
  api_instance.api_users_list_roles_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_list_roles_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_new_post**
> api_users_new_post

Creates a new user.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Creates a new user.
  api_instance.api_users_new_post
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_new_post: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **api_users_self_get**
> api_users_self_get

Obtains the logged in user's data.

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = SwaggerClient::DefaultApi.new

begin
  #Obtains the logged in user's data.
  api_instance.api_users_self_get
rescue SwaggerClient::ApiError => e
  puts "Exception when calling DefaultApi->api_users_self_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



